export declare namespace Schemas {
    interface accountAccount {
        capabilities?: string[];
        enabled?: boolean;
        name?: string;
        tokens?: Schemas.accountToken[];
    }
    interface accountAccountsList {
        items?: Schemas.accountAccount[];
    }
    interface accountCanIResponse {
        value?: string;
    }
    interface accountCreateTokenRequest {
        expiresIn?: string;
        id?: string;
        name?: string;
    }
    interface accountCreateTokenResponse {
        token?: string;
    }
    interface accountEmptyResponse {
    }
    interface accountToken {
        expiresAt?: string;
        id?: string;
        issuedAt?: string;
    }
    interface accountUpdatePasswordRequest {
        currentPassword?: string;
        name?: string;
        newPassword?: string;
    }
    interface accountUpdatePasswordResponse {
    }
    interface applicationApplicationPatchRequest {
        name?: string;
        patch?: string;
        patchType?: string;
    }
    interface applicationApplicationResourceResponse {
        manifest?: string;
    }
    interface applicationApplicationResponse {
    }
    interface applicationApplicationRollbackRequest {
        dryRun?: boolean;
        id?: string;
        name?: string;
        prune?: boolean;
    }
    interface applicationApplicationSyncRequest {
        dryRun?: boolean;
        infos?: Schemas.v1alpha1Info[];
        manifests?: string[];
        name?: string;
        prune?: boolean;
        resources?: Schemas.v1alpha1SyncOperationResource[];
        retryStrategy?: Schemas.v1alpha1RetryStrategy;
        revision?: string;
        strategy?: Schemas.v1alpha1SyncStrategy;
        syncOptions?: Schemas.applicationSyncOptions;
    }
    interface applicationApplicationSyncWindow {
        duration?: string;
        kind?: string;
        manualSync?: boolean;
        schedule?: string;
    }
    interface applicationApplicationSyncWindowsResponse {
        activeWindows?: Schemas.applicationApplicationSyncWindow[];
        assignedWindows?: Schemas.applicationApplicationSyncWindow[];
        canSync?: boolean;
    }
    interface applicationLogEntry {
        content?: string;
        last?: boolean;
        podName?: string;
        timeStamp?: Schemas.v1Time;
        timeStampStr?: string;
    }
    interface applicationManagedResourcesResponse {
        items?: Schemas.v1alpha1ResourceDiff[];
    }
    interface applicationOperationTerminateResponse {
    }
    interface applicationResourceActionsListResponse {
        actions?: Schemas.v1alpha1ResourceAction[];
    }
    interface applicationSyncOptions {
        items?: string[];
    }
    interface applicationv1alpha1EnvEntry {
        name?: string;
        value?: string;
    }
    interface clusterClusterID {
        type?: string;
        value?: string;
    }
    interface clusterClusterResponse {
    }
    interface clusterConnector {
        name?: string;
        type?: string;
    }
    interface clusterDexConfig {
        connectors?: Schemas.clusterConnector[];
    }
    interface clusterGoogleAnalyticsConfig {
        anonymizeUsers?: boolean;
        trackingID?: string;
    }
    interface clusterHelp {
        binaryUrls?: {
            [key: string]: string;
        };
        chatText?: string;
        chatUrl?: string;
    }
    interface clusterOIDCConfig {
        cliClientID?: string;
        clientID?: string;
        idTokenClaims?: {
            [key: string]: Schemas.oidcClaim;
        };
        issuer?: string;
        name?: string;
        scopes?: string[];
    }
    interface clusterPlugin {
        name?: string;
    }
    interface clusterSettings {
        appLabelKey?: string;
        configManagementPlugins?: Schemas.v1alpha1ConfigManagementPlugin[];
        dexConfig?: Schemas.clusterDexConfig;
        googleAnalytics?: Schemas.clusterGoogleAnalyticsConfig;
        help?: Schemas.clusterHelp;
        kustomizeOptions?: Schemas.v1alpha1KustomizeOptions;
        kustomizeVersions?: string[];
        oidcConfig?: Schemas.clusterOIDCConfig;
        passwordPattern?: string;
        plugins?: Schemas.clusterPlugin[];
        resourceOverrides?: {
            [key: string]: Schemas.v1alpha1ResourceOverride;
        };
        statusBadgeEnabled?: boolean;
        trackingMethod?: string;
        uiBannerContent?: string;
        uiBannerPermanent?: boolean;
        uiBannerPosition?: string;
        uiBannerURL?: string;
        uiCssURL?: string;
        url?: string;
        userLoginsDisabled?: boolean;
    }
    interface gpgkeyGnuPGPublicKeyCreateResponse {
        created?: Schemas.v1alpha1GnuPGPublicKeyList;
        skipped?: string[];
    }
    interface gpgkeyGnuPGPublicKeyResponse {
    }
    interface oidcClaim {
        essential?: boolean;
        value?: string;
        values?: string[];
    }
    interface projectDetailedProjectsResponse {
        clusters?: Schemas.v1alpha1Cluster[];
        globalProjects?: Schemas.v1alpha1AppProject[];
        project?: Schemas.v1alpha1AppProject;
        repositories?: Schemas.v1alpha1Repository[];
    }
    interface projectEmptyResponse {
    }
    interface projectGlobalProjectsResponse {
        items?: Schemas.v1alpha1AppProject[];
    }
    /** ProjectCreateRequest defines project creation parameters. */
    interface projectProjectCreateRequest {
        project?: Schemas.v1alpha1AppProject;
        upsert?: boolean;
    }
    /** ProjectTokenCreateRequest defines project token creation parameters. */
    interface projectProjectTokenCreateRequest {
        description?: string;
        expiresIn?: string;
        id?: string;
        project?: string;
        role?: string;
    }
    /** ProjectTokenResponse wraps the created token or returns an empty string if deleted. */
    interface projectProjectTokenResponse {
        token?: string;
    }
    interface projectProjectUpdateRequest {
        project?: Schemas.v1alpha1AppProject;
    }
    interface projectSyncWindowsResponse {
        windows?: Schemas.v1alpha1SyncWindow[];
    }
    interface protobufAny {
        type_url?: string;
        value?: Blob;
    }
    interface repocredsRepoCredsResponse {
    }
    interface repositoryAppInfo {
        path?: string;
        type?: string;
    }
    interface repositoryDirectoryAppSpec {
    }
    interface repositoryHelmAppSpec {
        fileParameters?: Schemas.v1alpha1HelmFileParameter[];
        name?: string;
        parameters?: Schemas.v1alpha1HelmParameter[];
        valueFiles?: string[];
        values?: string;
    }
    interface repositoryHelmChart {
        name?: string;
        versions?: string[];
    }
    interface repositoryHelmChartsResponse {
        items?: Schemas.repositoryHelmChart[];
    }
    interface repositoryKsonnetAppSpec {
        environments?: {
            [key: string]: Schemas.repositoryKsonnetEnvironment;
        };
        name?: string;
        parameters?: Schemas.v1alpha1KsonnetParameter[];
    }
    interface repositoryKsonnetEnvironment {
        destination?: Schemas.repositoryKsonnetEnvironmentDestination;
        /** KubernetesVersion is the kubernetes version the targeted cluster is running on. */
        k8sVersion?: string;
        name?: string;
    }
    interface repositoryKsonnetEnvironmentDestination {
        namespace?: string;
        /** Server is the Kubernetes server that the cluster is running on. */
        server?: string;
    }
    interface repositoryKustomizeAppSpec {
        /** images is a list of available images. */
        images?: string[];
    }
    interface repositoryManifestResponse {
        manifests?: string[];
        namespace?: string;
        revision?: string;
        server?: string;
        sourceType?: string;
        verifyResult?: string;
    }
    interface repositoryRefs {
        branches?: string[];
        tags?: string[];
    }
    interface repositoryRepoAppDetailsQuery {
        appName?: string;
        appProject?: string;
        source?: Schemas.v1alpha1ApplicationSource;
    }
    interface repositoryRepoAppDetailsResponse {
        directory?: Schemas.repositoryDirectoryAppSpec;
        helm?: Schemas.repositoryHelmAppSpec;
        ksonnet?: Schemas.repositoryKsonnetAppSpec;
        kustomize?: Schemas.repositoryKustomizeAppSpec;
        type?: string;
    }
    interface repositoryRepoAppsResponse {
        items?: Schemas.repositoryAppInfo[];
    }
    interface repositoryRepoResponse {
    }
    interface runtimeError {
        code?: number;
        details?: Schemas.protobufAny[];
        error?: string;
        message?: string;
    }
    interface runtimeStreamError {
        details?: Schemas.protobufAny[];
        grpc_code?: number;
        http_code?: number;
        http_status?: string;
        message?: string;
    }
    interface sessionGetUserInfoResponse {
        groups?: string[];
        iss?: string;
        loggedIn?: boolean;
        username?: string;
    }
    /** SessionCreateRequest is for logging in. */
    interface sessionSessionCreateRequest {
        password?: string;
        token?: string;
        username?: string;
    }
    /** SessionResponse wraps the created token or returns an empty string if deleted. */
    interface sessionSessionResponse {
        token?: string;
    }
    /**
     * Event is a report of an event somewhere in the cluster.  Events
     * have a limited retention time and triggers and messages may evolve
     * with time.  Event consumers should not rely on the timing of an event
     * with a given Reason reflecting a consistent underlying trigger, or the
     * continued existence of events with that Reason.  Events should be
     * treated as informative, best-effort, supplemental data.
     */
    interface v1Event {
        action?: string;
        count?: number;
        eventTime?: Schemas.v1MicroTime;
        firstTimestamp?: Schemas.v1Time;
        involvedObject?: Schemas.v1ObjectReference;
        lastTimestamp?: Schemas.v1Time;
        message?: string;
        metadata?: Schemas.v1ObjectMeta;
        reason?: string;
        related?: Schemas.v1ObjectReference;
        reportingComponent?: string;
        reportingInstance?: string;
        series?: Schemas.v1EventSeries;
        source?: Schemas.v1EventSource;
        type?: string;
    }
    /** EventList is a list of events. */
    interface v1EventList {
        items?: Schemas.v1Event[];
        metadata?: Schemas.v1ListMeta;
    }
    /**
     * EventSeries contain information on series of events, i.e. thing that was/is happening
     * continuously for some time.
     */
    interface v1EventSeries {
        count?: number;
        lastObservedTime?: Schemas.v1MicroTime;
    }
    /** EventSource contains information for an event. */
    interface v1EventSource {
        component?: string;
        host?: string;
    }
    /**
     * FieldsV1 stores a set of fields in a data structure like a Trie, in JSON format.
     *
     * Each key is either a '.' representing the field itself, and will always map to an empty set,
     * or a string representing a sub-field or item. The string will follow one of these four formats:
     * 'f:<name>', where <name> is the name of a field in a struct, or key in a map
     * 'v:<value>', where <value> is the exact json formatted value of a list item
     * 'i:<index>', where <index> is position of a item in a list
     * 'k:<keys>', where <keys> is a map of  a list item's key fields to their unique values
     * If a key maps to an empty Fields value, the field that key represents is part of the set.
     *
     * The exact format is defined in sigs.k8s.io/structured-merge-diff
     * +protobuf.options.(gogoproto.goproto_stringer)=false
     */
    interface v1FieldsV1 {
        /** Raw is the underlying serialization of this object. */
        Raw?: Blob;
    }
    /** +protobuf.options.(gogoproto.goproto_stringer)=false */
    interface v1GroupKind {
        group?: string;
        kind?: string;
    }
    /**
     * ListMeta describes metadata that synthetic resources must have, including lists and
     * various status objects. A resource may have only one of {ObjectMeta, ListMeta}.
     */
    interface v1ListMeta {
        /**
         * continue may be set if the user set a limit on the number of items returned, and indicates that
         * the server has more data available. The value is opaque and may be used to issue another request
         * to the endpoint that served this list to retrieve the next set of available objects. Continuing a
         * consistent list may not be possible if the server configuration has changed or more than a few
         * minutes have passed. The resourceVersion field returned when using this continue value will be
         * identical to the value in the first response, unless you have received this token from an error
         * message.
         */
        continue?: string;
        remainingItemCount?: string;
        resourceVersion?: string;
        /**
         * selfLink is a URL representing this object.
         * Populated by the system.
         * Read-only.
         *
         * DEPRECATED
         * Kubernetes will stop propagating this field in 1.20 release and the field is planned
         * to be removed in 1.21 release.
         * +optional
         */
        selfLink?: string;
    }
    /**
     * LoadBalancerIngress represents the status of a load-balancer ingress point:
     * traffic intended for the service should be sent to an ingress point.
     */
    interface v1LoadBalancerIngress {
        hostname?: string;
        ip?: string;
        ports?: Schemas.v1PortStatus[];
    }
    /**
     * ManagedFieldsEntry is a workflow-id, a FieldSet and the group version of the resource
     * that the fieldset applies to.
     */
    interface v1ManagedFieldsEntry {
        /**
         * APIVersion defines the version of this resource that this field set
         * applies to. The format is "group/version" just like the top-level
         * APIVersion field. It is necessary to track the version of a field
         * set because it cannot be automatically converted.
         */
        apiVersion?: string;
        fieldsType?: string;
        fieldsV1?: Schemas.v1FieldsV1;
        /** Manager is an identifier of the workflow managing these fields. */
        manager?: string;
        /**
         * Operation is the type of operation which lead to this ManagedFieldsEntry being created.
         * The only valid values for this field are 'Apply' and 'Update'.
         */
        operation?: string;
        /**
         * Subresource is the name of the subresource used to update that object, or
         * empty string if the object was updated through the main resource. The
         * value of this field is used to distinguish between managers, even if they
         * share the same name. For example, a status update will be distinct from a
         * regular update using the same manager name.
         * Note that the APIVersion field is not related to the Subresource field and
         * it always corresponds to the version of the main resource.
         */
        subresource?: string;
        time?: Schemas.v1Time;
    }
    /**
     * MicroTime is version of Time with microsecond level precision.
     *
     * +protobuf.options.marshal=false
     * +protobuf.as=Timestamp
     * +protobuf.options.(gogoproto.goproto_stringer)=false
     */
    interface v1MicroTime {
        /**
         * Non-negative fractions of a second at nanosecond resolution. Negative
         * second values with fractions must still have non-negative nanos values
         * that count forward in time. Must be from 0 to 999,999,999
         * inclusive. This field may be limited in precision depending on context.
         */
        nanos?: number;
        /**
         * Represents seconds of UTC time since Unix epoch
         * 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to
         * 9999-12-31T23:59:59Z inclusive.
         */
        seconds?: string;
    }
    /** NodeSystemInfo is a set of ids/uuids to uniquely identify the node. */
    interface v1NodeSystemInfo {
        architecture?: string;
        /** Boot ID reported by the node. */
        bootID?: string;
        /** ContainerRuntime Version reported by the node through runtime remote API (e.g. docker://1.5.0). */
        containerRuntimeVersion?: string;
        /** Kernel Version reported by the node from 'uname -r' (e.g. 3.16.0-0.bpo.4-amd64). */
        kernelVersion?: string;
        /** KubeProxy Version reported by the node. */
        kubeProxyVersion?: string;
        /** Kubelet Version reported by the node. */
        kubeletVersion?: string;
        machineID?: string;
        operatingSystem?: string;
        /** OS Image reported by the node from /etc/os-release (e.g. Debian GNU/Linux 7 (wheezy)). */
        osImage?: string;
        systemUUID?: string;
    }
    /**
     * ObjectMeta is metadata that all persisted resources must have, which includes all objects
     * users must create.
     */
    interface v1ObjectMeta {
        annotations?: {
            [key: string]: string;
        };
        clusterName?: string;
        creationTimestamp?: Schemas.v1Time;
        deletionGracePeriodSeconds?: string;
        deletionTimestamp?: Schemas.v1Time;
        finalizers?: string[];
        /**
         * GenerateName is an optional prefix, used by the server, to generate a unique
         * name ONLY IF the Name field has not been provided.
         * If this field is used, the name returned to the client will be different
         * than the name passed. This value will also be combined with a unique suffix.
         * The provided value has the same validation rules as the Name field,
         * and may be truncated by the length of the suffix required to make the value
         * unique on the server.
         *
         * If this field is specified and the generated name exists, the server will
         * NOT return a 409 - instead, it will either return 201 Created or 500 with Reason
         * ServerTimeout indicating a unique name could not be found in the time allotted, and the client
         * should retry (optionally after the time indicated in the Retry-After header).
         *
         * Applied only if Name is not specified.
         * More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency
         * +optional
         */
        generateName?: string;
        generation?: string;
        labels?: {
            [key: string]: string;
        };
        /**
         * ManagedFields maps workflow-id and version to the set of fields
         * that are managed by that workflow. This is mostly for internal
         * housekeeping, and users typically shouldn't need to set or
         * understand this field. A workflow can be the user's name, a
         * controller's name, or the name of a specific apply path like
         * "ci-cd". The set of fields is always in the version that the
         * workflow used when modifying the object.
         *
         * +optional
         */
        managedFields?: Schemas.v1ManagedFieldsEntry[];
        name?: string;
        /**
         * Namespace defines the space within which each name must be unique. An empty namespace is
         * equivalent to the "default" namespace, but "default" is the canonical representation.
         * Not all objects are required to be scoped to a namespace - the value of this field for
         * those objects will be empty.
         *
         * Must be a DNS_LABEL.
         * Cannot be updated.
         * More info: http://kubernetes.io/docs/user-guide/namespaces
         * +optional
         */
        namespace?: string;
        ownerReferences?: Schemas.v1OwnerReference[];
        /**
         * An opaque value that represents the internal version of this object that can
         * be used by clients to determine when objects have changed. May be used for optimistic
         * concurrency, change detection, and the watch operation on a resource or set of resources.
         * Clients must treat these values as opaque and passed unmodified back to the server.
         * They may only be valid for a particular resource or set of resources.
         *
         * Populated by the system.
         * Read-only.
         * Value must be treated as opaque by clients and .
         * More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency
         * +optional
         */
        resourceVersion?: string;
        /**
         * SelfLink is a URL representing this object.
         * Populated by the system.
         * Read-only.
         *
         * DEPRECATED
         * Kubernetes will stop propagating this field in 1.20 release and the field is planned
         * to be removed in 1.21 release.
         * +optional
         */
        selfLink?: string;
        /**
         * UID is the unique in time and space value for this object. It is typically generated by
         * the server on successful creation of a resource and is not allowed to change on PUT
         * operations.
         *
         * Populated by the system.
         * Read-only.
         * More info: http://kubernetes.io/docs/user-guide/identifiers#uids
         * +optional
         */
        uid?: string;
    }
    interface v1ObjectReference {
        apiVersion?: string;
        fieldPath?: string;
        kind?: string;
        name?: string;
        namespace?: string;
        resourceVersion?: string;
        uid?: string;
    }
    interface v1OwnerReference {
        /** API version of the referent. */
        apiVersion?: string;
        blockOwnerDeletion?: boolean;
        controller?: boolean;
        kind?: string;
        name?: string;
        uid?: string;
    }
    interface v1PortStatus {
        error?: string;
        port?: number;
        protocol?: string;
    }
    /**
     * Time is a wrapper around time.Time which supports correct
     * marshaling to YAML and JSON.  Wrappers are provided for many
     * of the factory methods that the time package offers.
     *
     * +protobuf.options.marshal=false
     * +protobuf.as=Timestamp
     * +protobuf.options.(gogoproto.goproto_stringer)=false
     */
    interface v1Time {
        /**
         * Non-negative fractions of a second at nanosecond resolution. Negative
         * second values with fractions must still have non-negative nanos values
         * that count forward in time. Must be from 0 to 999,999,999
         * inclusive. This field may be limited in precision depending on context.
         */
        nanos?: number;
        /**
         * Represents seconds of UTC time since Unix epoch
         * 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to
         * 9999-12-31T23:59:59Z inclusive.
         */
        seconds?: string;
    }
    interface v1alpha1AWSAuthConfig {
        clusterName?: string;
        /** RoleARN contains optional role ARN. If set then AWS IAM Authenticator assume a role to perform cluster operations instead of the default AWS credential provider chain. */
        roleARN?: string;
    }
    interface v1alpha1AppProject {
        metadata?: Schemas.v1ObjectMeta;
        spec?: Schemas.v1alpha1AppProjectSpec;
        status?: Schemas.v1alpha1AppProjectStatus;
    }
    interface v1alpha1AppProjectList {
        items?: Schemas.v1alpha1AppProject[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1AppProjectSpec {
        clusterResourceBlacklist?: Schemas.v1GroupKind[];
        clusterResourceWhitelist?: Schemas.v1GroupKind[];
        description?: string;
        destinations?: Schemas.v1alpha1ApplicationDestination[];
        namespaceResourceBlacklist?: Schemas.v1GroupKind[];
        namespaceResourceWhitelist?: Schemas.v1GroupKind[];
        orphanedResources?: Schemas.v1alpha1OrphanedResourcesMonitorSettings;
        roles?: Schemas.v1alpha1ProjectRole[];
        signatureKeys?: Schemas.v1alpha1SignatureKey[];
        sourceRepos?: string[];
        syncWindows?: Schemas.v1alpha1SyncWindow[];
    }
    interface v1alpha1AppProjectStatus {
        jwtTokensByRole?: {
            [key: string]: Schemas.v1alpha1JWTTokens;
        };
    }
    interface v1alpha1Application {
        metadata?: Schemas.v1ObjectMeta;
        operation?: Schemas.v1alpha1Operation;
        spec?: Schemas.v1alpha1ApplicationSpec;
        status?: Schemas.v1alpha1ApplicationStatus;
    }
    interface v1alpha1ApplicationCondition {
        lastTransitionTime?: Schemas.v1Time;
        message?: string;
        type?: string;
    }
    interface v1alpha1ApplicationDestination {
        name?: string;
        namespace?: string;
        server?: string;
    }
    interface v1alpha1ApplicationList {
        items?: Schemas.v1alpha1Application[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1ApplicationSource {
        /** Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo. */
        chart?: string;
        directory?: Schemas.v1alpha1ApplicationSourceDirectory;
        helm?: Schemas.v1alpha1ApplicationSourceHelm;
        ksonnet?: Schemas.v1alpha1ApplicationSourceKsonnet;
        kustomize?: Schemas.v1alpha1ApplicationSourceKustomize;
        /** Path is a directory path within the Git repository, and is only valid for applications sourced from Git. */
        path?: string;
        plugin?: Schemas.v1alpha1ApplicationSourcePlugin;
        repoURL?: string;
        /**
         * TargetRevision defines the revision of the source to sync the application to.
         * In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD.
         * In case of Helm, this is a semver tag for the Chart's version.
         */
        targetRevision?: string;
    }
    interface v1alpha1ApplicationSourceDirectory {
        exclude?: string;
        include?: string;
        jsonnet?: Schemas.v1alpha1ApplicationSourceJsonnet;
        recurse?: boolean;
    }
    interface v1alpha1ApplicationSourceHelm {
        fileParameters?: Schemas.v1alpha1HelmFileParameter[];
        ignoreMissingValueFiles?: boolean;
        parameters?: Schemas.v1alpha1HelmParameter[];
        passCredentials?: boolean;
        releaseName?: string;
        skipCrds?: boolean;
        valueFiles?: string[];
        values?: string;
        version?: string;
    }
    interface v1alpha1ApplicationSourceJsonnet {
        extVars?: Schemas.v1alpha1JsonnetVar[];
        libs?: string[];
        tlas?: Schemas.v1alpha1JsonnetVar[];
    }
    interface v1alpha1ApplicationSourceKsonnet {
        environment?: string;
        parameters?: Schemas.v1alpha1KsonnetParameter[];
    }
    interface v1alpha1ApplicationSourceKustomize {
        commonAnnotations?: {
            [key: string]: string;
        };
        commonLabels?: {
            [key: string]: string;
        };
        forceCommonAnnotations?: boolean;
        forceCommonLabels?: boolean;
        images?: string[];
        namePrefix?: string;
        nameSuffix?: string;
        version?: string;
    }
    interface v1alpha1ApplicationSourcePlugin {
        env?: Schemas.applicationv1alpha1EnvEntry[];
        name?: string;
    }
    /** ApplicationSpec represents desired application state. Contains link to repository with application definition and additional parameters link definition revision. */
    interface v1alpha1ApplicationSpec {
        destination?: Schemas.v1alpha1ApplicationDestination;
        ignoreDifferences?: Schemas.v1alpha1ResourceIgnoreDifferences[];
        info?: Schemas.v1alpha1Info[];
        /**
         * Project is a reference to the project this application belongs to.
         * The empty string means that application belongs to the 'default' project.
         */
        project?: string;
        /**
         * RevisionHistoryLimit limits the number of items kept in the application's revision history, which is used for informational purposes as well as for rollbacks to previous versions.
         * This should only be changed in exceptional circumstances.
         * Setting to zero will store no history. This will reduce storage used.
         * Increasing will increase the space used to store the history, so we do not recommend increasing it.
         * Default is 10.
         */
        revisionHistoryLimit?: string;
        source?: Schemas.v1alpha1ApplicationSource;
        syncPolicy?: Schemas.v1alpha1SyncPolicy;
    }
    interface v1alpha1ApplicationStatus {
        conditions?: Schemas.v1alpha1ApplicationCondition[];
        health?: Schemas.v1alpha1HealthStatus;
        history?: Schemas.v1alpha1RevisionHistory[];
        observedAt?: Schemas.v1Time;
        operationState?: Schemas.v1alpha1OperationState;
        reconciledAt?: Schemas.v1Time;
        resources?: Schemas.v1alpha1ResourceStatus[];
        sourceType?: string;
        summary?: Schemas.v1alpha1ApplicationSummary;
        sync?: Schemas.v1alpha1SyncStatus;
    }
    interface v1alpha1ApplicationSummary {
        /** ExternalURLs holds all external URLs of application child resources. */
        externalURLs?: string[];
        /** Images holds all images of application child resources. */
        images?: string[];
    }
    interface v1alpha1ApplicationTree {
        hosts?: Schemas.v1alpha1HostInfo[];
        /** Nodes contains list of nodes which either directly managed by the application and children of directly managed nodes. */
        nodes?: Schemas.v1alpha1ResourceNode[];
        /** OrphanedNodes contains if or orphaned nodes: nodes which are not managed by the app but in the same namespace. List is populated only if orphaned resources enabled in app project. */
        orphanedNodes?: Schemas.v1alpha1ResourceNode[];
    }
    /** ApplicationWatchEvent contains information about application change. */
    interface v1alpha1ApplicationWatchEvent {
        application?: Schemas.v1alpha1Application;
        type?: string;
    }
    interface v1alpha1Backoff {
        duration?: string;
        factor?: string;
        maxDuration?: string;
    }
    interface v1alpha1Cluster {
        annotations?: {
            [key: string]: string;
        };
        /** Indicates if cluster level resources should be managed. This setting is used only if cluster is connected in a namespaced mode. */
        clusterResources?: boolean;
        config?: Schemas.v1alpha1ClusterConfig;
        connectionState?: Schemas.v1alpha1ConnectionState;
        info?: Schemas.v1alpha1ClusterInfo;
        labels?: {
            [key: string]: string;
        };
        name?: string;
        /** Holds list of namespaces which are accessible in that cluster. Cluster level resources will be ignored if namespace list is not empty. */
        namespaces?: string[];
        project?: string;
        refreshRequestedAt?: Schemas.v1Time;
        server?: string;
        serverVersion?: string;
        /** Shard contains optional shard number. Calculated on the fly by the application controller if not specified. */
        shard?: string;
    }
    interface v1alpha1ClusterCacheInfo {
        apisCount?: string;
        lastCacheSyncTime?: Schemas.v1Time;
        resourcesCount?: string;
    }
    /**
     * ClusterConfig is the configuration attributes. This structure is subset of the go-client
     * rest.Config with annotations added for marshalling.
     */
    interface v1alpha1ClusterConfig {
        awsAuthConfig?: Schemas.v1alpha1AWSAuthConfig;
        /**
         * Server requires Bearer authentication. This client will not attempt to use
         * refresh tokens for an OAuth2 flow.
         * TODO: demonstrate an OAuth2 compatible client.
         */
        bearerToken?: string;
        execProviderConfig?: Schemas.v1alpha1ExecProviderConfig;
        password?: string;
        tlsClientConfig?: Schemas.v1alpha1TLSClientConfig;
        username?: string;
    }
    interface v1alpha1ClusterInfo {
        apiVersions?: string[];
        applicationsCount?: string;
        cacheInfo?: Schemas.v1alpha1ClusterCacheInfo;
        connectionState?: Schemas.v1alpha1ConnectionState;
        serverVersion?: string;
    }
    /** ClusterList is a collection of Clusters. */
    interface v1alpha1ClusterList {
        items?: Schemas.v1alpha1Cluster[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1Command {
        args?: string[];
        command?: string[];
    }
    interface v1alpha1ComparedTo {
        destination?: Schemas.v1alpha1ApplicationDestination;
        source?: Schemas.v1alpha1ApplicationSource;
    }
    interface v1alpha1ConfigManagementPlugin {
        generate?: Schemas.v1alpha1Command;
        init?: Schemas.v1alpha1Command;
        lockRepo?: boolean;
        name?: string;
    }
    interface v1alpha1ConnectionState {
        attemptedAt?: Schemas.v1Time;
        message?: string;
        status?: string;
    }
    interface v1alpha1ExecProviderConfig {
        apiVersion?: string;
        args?: string[];
        command?: string;
        env?: {
            [key: string]: string;
        };
        installHint?: string;
    }
    interface v1alpha1GnuPGPublicKey {
        fingerprint?: string;
        keyData?: string;
        keyID?: string;
        owner?: string;
        subType?: string;
        trust?: string;
    }
    interface v1alpha1GnuPGPublicKeyList {
        items?: Schemas.v1alpha1GnuPGPublicKey[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1HealthStatus {
        message?: string;
        status?: string;
    }
    interface v1alpha1HelmFileParameter {
        name?: string;
        path?: string;
    }
    interface v1alpha1HelmParameter {
        forceString?: boolean;
        name?: string;
        value?: string;
    }
    interface v1alpha1HostInfo {
        name?: string;
        resourcesInfo?: Schemas.v1alpha1HostResourceInfo[];
        systemInfo?: Schemas.v1NodeSystemInfo;
    }
    interface v1alpha1HostResourceInfo {
        capacity?: string;
        requestedByApp?: string;
        requestedByNeighbors?: string;
        resourceName?: string;
    }
    interface v1alpha1Info {
        name?: string;
        value?: string;
    }
    interface v1alpha1InfoItem {
        /** Name is a human readable title for this piece of information. */
        name?: string;
        /** Value is human readable content. */
        value?: string;
    }
    interface v1alpha1JWTToken {
        exp?: string;
        iat?: string;
        id?: string;
    }
    interface v1alpha1JWTTokens {
        items?: Schemas.v1alpha1JWTToken[];
    }
    interface v1alpha1JsonnetVar {
        code?: boolean;
        name?: string;
        value?: string;
    }
    interface v1alpha1KnownTypeField {
        field?: string;
        type?: string;
    }
    interface v1alpha1KsonnetParameter {
        component?: string;
        name?: string;
        value?: string;
    }
    interface v1alpha1KustomizeOptions {
        binaryPath?: string;
        buildOptions?: string;
    }
    interface v1alpha1Operation {
        info?: Schemas.v1alpha1Info[];
        initiatedBy?: Schemas.v1alpha1OperationInitiator;
        retry?: Schemas.v1alpha1RetryStrategy;
        sync?: Schemas.v1alpha1SyncOperation;
    }
    interface v1alpha1OperationInitiator {
        /** Automated is set to true if operation was initiated automatically by the application controller. */
        automated?: boolean;
        username?: string;
    }
    interface v1alpha1OperationState {
        finishedAt?: Schemas.v1Time;
        /** Message holds any pertinent messages when attempting to perform operation (typically errors). */
        message?: string;
        operation?: Schemas.v1alpha1Operation;
        phase?: string;
        retryCount?: string;
        startedAt?: Schemas.v1Time;
        syncResult?: Schemas.v1alpha1SyncOperationResult;
    }
    interface v1alpha1OrphanedResourceKey {
        group?: string;
        kind?: string;
        name?: string;
    }
    interface v1alpha1OrphanedResourcesMonitorSettings {
        ignore?: Schemas.v1alpha1OrphanedResourceKey[];
        warn?: boolean;
    }
    interface v1alpha1OverrideIgnoreDiff {
        jSONPointers?: string[];
        jqPathExpressions?: string[];
        managedFieldsManagers?: string[];
    }
    interface v1alpha1ProjectRole {
        description?: string;
        groups?: string[];
        jwtTokens?: Schemas.v1alpha1JWTToken[];
        name?: string;
        policies?: string[];
    }
    interface v1alpha1RepoCreds {
        enableOCI?: boolean;
        githubAppEnterpriseBaseUrl?: string;
        githubAppID?: string;
        githubAppInstallationID?: string;
        githubAppPrivateKey?: string;
        password?: string;
        sshPrivateKey?: string;
        tlsClientCertData?: string;
        tlsClientCertKey?: string;
        /** Type specifies the type of the repoCreds. Can be either "git" or "helm. "git" is assumed if empty or absent. */
        type?: string;
        url?: string;
        username?: string;
    }
    /** RepositoryList is a collection of Repositories. */
    interface v1alpha1RepoCredsList {
        items?: Schemas.v1alpha1RepoCreds[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1Repository {
        connectionState?: Schemas.v1alpha1ConnectionState;
        /** EnableLFS specifies whether git-lfs support should be enabled for this repo. Only valid for Git repositories. */
        enableLfs?: boolean;
        enableOCI?: boolean;
        githubAppEnterpriseBaseUrl?: string;
        githubAppID?: string;
        githubAppInstallationID?: string;
        githubAppPrivateKey?: string;
        inheritedCreds?: boolean;
        insecure?: boolean;
        insecureIgnoreHostKey?: boolean;
        name?: string;
        password?: string;
        project?: string;
        proxy?: string;
        repo?: string;
        /** SSHPrivateKey contains the PEM data for authenticating at the repo server. Only used with Git repos. */
        sshPrivateKey?: string;
        tlsClientCertData?: string;
        tlsClientCertKey?: string;
        /** Type specifies the type of the repo. Can be either "git" or "helm. "git" is assumed if empty or absent. */
        type?: string;
        username?: string;
    }
    interface v1alpha1RepositoryCertificate {
        certData?: Blob;
        certInfo?: string;
        certSubType?: string;
        certType?: string;
        serverName?: string;
    }
    interface v1alpha1RepositoryCertificateList {
        items?: Schemas.v1alpha1RepositoryCertificate[];
        metadata?: Schemas.v1ListMeta;
    }
    /** RepositoryList is a collection of Repositories. */
    interface v1alpha1RepositoryList {
        items?: Schemas.v1alpha1Repository[];
        metadata?: Schemas.v1ListMeta;
    }
    interface v1alpha1ResourceAction {
        disabled?: boolean;
        name?: string;
        params?: Schemas.v1alpha1ResourceActionParam[];
    }
    interface v1alpha1ResourceActionParam {
        default?: string;
        name?: string;
        type?: string;
        value?: string;
    }
    interface v1alpha1ResourceDiff {
        diff?: string;
        group?: string;
        hook?: boolean;
        kind?: string;
        liveState?: string;
        modified?: boolean;
        name?: string;
        namespace?: string;
        normalizedLiveState?: string;
        predictedLiveState?: string;
        resourceVersion?: string;
        targetState?: string;
    }
    /** ResourceIgnoreDifferences contains resource filter and list of json paths which should be ignored during comparison with live state. */
    interface v1alpha1ResourceIgnoreDifferences {
        group?: string;
        jqPathExpressions?: string[];
        jsonPointers?: string[];
        kind?: string;
        managedFieldsManagers?: string[];
        name?: string;
        namespace?: string;
    }
    interface v1alpha1ResourceNetworkingInfo {
        /** ExternalURLs holds list of URLs which should be available externally. List is populated for ingress resources using rules hostnames. */
        externalURLs?: string[];
        ingress?: Schemas.v1LoadBalancerIngress[];
        labels?: {
            [key: string]: string;
        };
        targetLabels?: {
            [key: string]: string;
        };
        targetRefs?: Schemas.v1alpha1ResourceRef[];
    }
    interface v1alpha1ResourceNode {
        createdAt?: Schemas.v1Time;
        health?: Schemas.v1alpha1HealthStatus;
        images?: string[];
        info?: Schemas.v1alpha1InfoItem[];
        networkingInfo?: Schemas.v1alpha1ResourceNetworkingInfo;
        parentRefs?: Schemas.v1alpha1ResourceRef[];
        resourceRef?: Schemas.v1alpha1ResourceRef;
        resourceVersion?: string;
    }
    interface v1alpha1ResourceOverride {
        actions?: string;
        healthLua?: string;
        ignoreDifferences?: Schemas.v1alpha1OverrideIgnoreDiff;
        knownTypeFields?: Schemas.v1alpha1KnownTypeField[];
        useOpenLibs?: boolean;
    }
    interface v1alpha1ResourceRef {
        group?: string;
        kind?: string;
        name?: string;
        namespace?: string;
        uid?: string;
        version?: string;
    }
    interface v1alpha1ResourceResult {
        group?: string;
        /**
         * HookPhase contains the state of any operation associated with this resource OR hook
         * This can also contain values for non-hook resources.
         */
        hookPhase?: string;
        hookType?: string;
        kind?: string;
        message?: string;
        name?: string;
        namespace?: string;
        status?: string;
        syncPhase?: string;
        version?: string;
    }
    interface v1alpha1ResourceStatus {
        group?: string;
        health?: Schemas.v1alpha1HealthStatus;
        hook?: boolean;
        kind?: string;
        name?: string;
        namespace?: string;
        requiresPruning?: boolean;
        status?: string;
        version?: string;
    }
    interface v1alpha1RetryStrategy {
        backoff?: Schemas.v1alpha1Backoff;
        /** Limit is the maximum number of attempts for retrying a failed sync. If set to 0, no retries will be performed. */
        limit?: string;
    }
    interface v1alpha1RevisionHistory {
        deployStartedAt?: Schemas.v1Time;
        deployedAt?: Schemas.v1Time;
        id?: string;
        revision?: string;
        source?: Schemas.v1alpha1ApplicationSource;
    }
    interface v1alpha1RevisionMetadata {
        author?: string;
        date?: Schemas.v1Time;
        message?: string;
        /** SignatureInfo contains a hint on the signer if the revision was signed with GPG, and signature verification is enabled. */
        signatureInfo?: string;
        tags?: string[];
    }
    interface v1alpha1SignatureKey {
        keyID?: string;
    }
    /** SyncOperation contains details about a sync operation. */
    interface v1alpha1SyncOperation {
        dryRun?: boolean;
        manifests?: string[];
        prune?: boolean;
        resources?: Schemas.v1alpha1SyncOperationResource[];
        /**
         * Revision is the revision (Git) or chart version (Helm) which to sync the application to
         * If omitted, will use the revision specified in app spec.
         */
        revision?: string;
        source?: Schemas.v1alpha1ApplicationSource;
        syncOptions?: string[];
        syncStrategy?: Schemas.v1alpha1SyncStrategy;
    }
    /** SyncOperationResource contains resources to sync. */
    interface v1alpha1SyncOperationResource {
        group?: string;
        kind?: string;
        name?: string;
        namespace?: string;
    }
    interface v1alpha1SyncOperationResult {
        resources?: Schemas.v1alpha1ResourceResult[];
        revision?: string;
        source?: Schemas.v1alpha1ApplicationSource;
    }
    interface v1alpha1SyncPolicy {
        automated?: Schemas.v1alpha1SyncPolicyAutomated;
        retry?: Schemas.v1alpha1RetryStrategy;
        syncOptions?: string[];
    }
    interface v1alpha1SyncPolicyAutomated {
        allowEmpty?: boolean;
        prune?: boolean;
        selfHeal?: boolean;
    }
    interface v1alpha1SyncStatus {
        comparedTo?: Schemas.v1alpha1ComparedTo;
        revision?: string;
        status?: string;
    }
    interface v1alpha1SyncStrategy {
        apply?: Schemas.v1alpha1SyncStrategyApply;
        hook?: Schemas.v1alpha1SyncStrategyHook;
    }
    interface v1alpha1SyncStrategyApply {
        /**
         * Force indicates whether or not to supply the --force flag to `kubectl apply`.
         * The --force flag deletes and re-create the resource, when PATCH encounters conflict and has
         * retried for 5 times.
         */
        force?: boolean;
    }
    /**
     * SyncStrategyHook will perform a sync using hooks annotations.
     * If no hook annotation is specified falls back to `kubectl apply`.
     */
    interface v1alpha1SyncStrategyHook {
        syncStrategyApply?: Schemas.v1alpha1SyncStrategyApply;
    }
    interface v1alpha1SyncWindow {
        applications?: string[];
        clusters?: string[];
        duration?: string;
        kind?: string;
        manualSync?: boolean;
        namespaces?: string[];
        schedule?: string;
        timeZone?: string;
    }
    interface v1alpha1TLSClientConfig {
        caData?: Blob;
        certData?: Blob;
        /** Insecure specifies that the server should be accessed without verifying the TLS certificate. For testing only. */
        insecure?: boolean;
        keyData?: Blob;
        /**
         * ServerName is passed to the server for SNI and is used in the client to check server
         * certificates against. If ServerName is empty, the hostname used to contact the
         * server is used.
         */
        serverName?: string;
    }
    interface versionVersionMessage {
        BuildDate?: string;
        Compiler?: string;
        GitCommit?: string;
        GitTag?: string;
        GitTreeState?: string;
        GoVersion?: string;
        HelmVersion?: string;
        JsonnetVersion?: string;
        KsonnetVersion?: string;
        KubectlVersion?: string;
        KustomizeVersion?: string;
        Platform?: string;
        Version?: string;
    }
}
export declare namespace RequestBodies {
    namespace v1alpha1Application {
        interface Content {
            "application/json": Schemas.v1alpha1Application;
        }
    }
    namespace ApplicationService_PatchResourceBody {
        interface Content {
            "application/json": string;
        }
    }
    namespace v1alpha1Cluster {
        interface Content {
            "application/json": Schemas.v1alpha1Cluster;
        }
    }
}
export interface Response$AccountService_ListAccounts$Status$200 {
    "application/json": Schemas.accountAccountsList;
}
export interface Response$AccountService_ListAccounts$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$AccountService_CanI {
    resource: string;
    action: string;
    subresource: string;
}
export interface Response$AccountService_CanI$Status$200 {
    "application/json": Schemas.accountCanIResponse;
}
export interface Response$AccountService_CanI$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface RequestBody$AccountService_UpdatePassword {
    "application/json": Schemas.accountUpdatePasswordRequest;
}
export interface Response$AccountService_UpdatePassword$Status$200 {
    "application/json": Schemas.accountUpdatePasswordResponse;
}
export interface Response$AccountService_UpdatePassword$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$AccountService_GetAccount {
    name: string;
}
export interface Response$AccountService_GetAccount$Status$200 {
    "application/json": Schemas.accountAccount;
}
export interface Response$AccountService_GetAccount$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$AccountService_CreateToken {
    name: string;
}
export interface RequestBody$AccountService_CreateToken {
    "application/json": Schemas.accountCreateTokenRequest;
}
export interface Response$AccountService_CreateToken$Status$200 {
    "application/json": Schemas.accountCreateTokenResponse;
}
export interface Response$AccountService_CreateToken$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$AccountService_DeleteToken {
    name: string;
    id: string;
}
export interface Response$AccountService_DeleteToken$Status$200 {
    "application/json": Schemas.accountEmptyResponse;
}
export interface Response$AccountService_DeleteToken$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_List {
    /** the application's name. */
    name?: string;
    /** forces application reconciliation if set to true. */
    refresh?: string;
    /** the project names to restrict returned list applications. */
    project?: string[];
    /** when specified with a watch call, shows changes that occur after that particular version of a resource. */
    resourceVersion?: string;
    /** the selector to restrict returned list to applications only with matched labels. */
    selector?: string;
    /** the repoURL to restrict returned list applications. */
    repo?: string;
}
export interface Response$ApplicationService_List$Status$200 {
    "application/json": Schemas.v1alpha1ApplicationList;
}
export interface Response$ApplicationService_List$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Create {
    upsert?: boolean;
    validate?: boolean;
}
export declare type RequestBody$ApplicationService_Create = RequestBodies.v1alpha1Application.Content;
export interface Response$ApplicationService_Create$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Create$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Update {
    /**
     * Name must be unique within a namespace. Is required when creating resources, although
     * some resources may allow a client to request the generation of an appropriate name
     * automatically. Name is primarily intended for creation idempotence and configuration
     * definition.
     * Cannot be updated.
     * More info: http://kubernetes.io/docs/user-guide/identifiers#names
     * +optional
     */
    "application.metadata.name": string;
    validate?: boolean;
}
export declare type RequestBody$ApplicationService_Update = RequestBodies.v1alpha1Application.Content;
export interface Response$ApplicationService_Update$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Update$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_ManagedResources {
    applicationName: string;
    namespace?: string;
    name?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export interface Response$ApplicationService_ManagedResources$Status$200 {
    "application/json": Schemas.applicationManagedResourcesResponse;
}
export interface Response$ApplicationService_ManagedResources$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_ResourceTree {
    applicationName: string;
    namespace?: string;
    name?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export interface Response$ApplicationService_ResourceTree$Status$200 {
    "application/json": Schemas.v1alpha1ApplicationTree;
}
export interface Response$ApplicationService_ResourceTree$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Get {
    /** the application's name */
    name: string;
    /** forces application reconciliation if set to true. */
    refresh?: string;
    /** the project names to restrict returned list applications. */
    project?: string[];
    /** when specified with a watch call, shows changes that occur after that particular version of a resource. */
    resourceVersion?: string;
    /** the selector to restrict returned list to applications only with matched labels. */
    selector?: string;
    /** the repoURL to restrict returned list applications. */
    repo?: string;
}
export interface Response$ApplicationService_Get$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Delete {
    name: string;
    cascade?: boolean;
    propagationPolicy?: string;
}
export interface Response$ApplicationService_Delete$Status$200 {
    "application/json": Schemas.applicationApplicationResponse;
}
export interface Response$ApplicationService_Delete$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Patch {
    name: string;
}
export interface RequestBody$ApplicationService_Patch {
    "application/json": Schemas.applicationApplicationPatchRequest;
}
export interface Response$ApplicationService_Patch$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Patch$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_ListResourceEvents {
    name: string;
    resourceNamespace?: string;
    resourceName?: string;
    resourceUID?: string;
}
export interface Response$ApplicationService_ListResourceEvents$Status$200 {
    "application/json": Schemas.v1EventList;
}
export interface Response$ApplicationService_ListResourceEvents$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_PodLogs2 {
    name: string;
    namespace?: string;
    podName?: string;
    container?: string;
    sinceSeconds?: string;
    /**
     * Represents seconds of UTC time since Unix epoch
     * 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to
     * 9999-12-31T23:59:59Z inclusive.
     */
    "sinceTime.seconds"?: string;
    /**
     * Non-negative fractions of a second at nanosecond resolution. Negative
     * second values with fractions must still have non-negative nanos values
     * that count forward in time. Must be from 0 to 999,999,999
     * inclusive. This field may be limited in precision depending on context.
     */
    "sinceTime.nanos"?: number;
    tailLines?: string;
    follow?: boolean;
    untilTime?: string;
    filter?: string;
    kind?: string;
    group?: string;
    resourceName?: string;
    previous?: boolean;
}
export interface Response$ApplicationService_PodLogs2$Status$200 {
    "application/json": {
        error?: Schemas.runtimeStreamError;
        result?: Schemas.applicationLogEntry;
    };
}
export interface Response$ApplicationService_PodLogs2$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_GetManifests {
    name: string;
    revision?: string;
}
export interface Response$ApplicationService_GetManifests$Status$200 {
    "application/json": Schemas.repositoryManifestResponse;
}
export interface Response$ApplicationService_GetManifests$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_TerminateOperation {
    name: string;
}
export interface Response$ApplicationService_TerminateOperation$Status$200 {
    "application/json": Schemas.applicationOperationTerminateResponse;
}
export interface Response$ApplicationService_TerminateOperation$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_PodLogs {
    name: string;
    podName: string;
    namespace?: string;
    container?: string;
    sinceSeconds?: string;
    /**
     * Represents seconds of UTC time since Unix epoch
     * 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to
     * 9999-12-31T23:59:59Z inclusive.
     */
    "sinceTime.seconds"?: string;
    /**
     * Non-negative fractions of a second at nanosecond resolution. Negative
     * second values with fractions must still have non-negative nanos values
     * that count forward in time. Must be from 0 to 999,999,999
     * inclusive. This field may be limited in precision depending on context.
     */
    "sinceTime.nanos"?: number;
    tailLines?: string;
    follow?: boolean;
    untilTime?: string;
    filter?: string;
    kind?: string;
    group?: string;
    resourceName?: string;
    previous?: boolean;
}
export interface Response$ApplicationService_PodLogs$Status$200 {
    "application/json": {
        error?: Schemas.runtimeStreamError;
        result?: Schemas.applicationLogEntry;
    };
}
export interface Response$ApplicationService_PodLogs$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_GetResource {
    name: string;
    namespace?: string;
    resourceName?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export interface Response$ApplicationService_GetResource$Status$200 {
    "application/json": Schemas.applicationApplicationResourceResponse;
}
export interface Response$ApplicationService_GetResource$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_PatchResource {
    name: string;
    namespace?: string;
    resourceName?: string;
    version?: string;
    group?: string;
    kind?: string;
    patchType?: string;
}
export declare type RequestBody$ApplicationService_PatchResource = RequestBodies.ApplicationService_PatchResourceBody.Content;
export interface Response$ApplicationService_PatchResource$Status$200 {
    "application/json": Schemas.applicationApplicationResourceResponse;
}
export interface Response$ApplicationService_PatchResource$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_DeleteResource {
    name: string;
    namespace?: string;
    resourceName?: string;
    version?: string;
    group?: string;
    kind?: string;
    force?: boolean;
    orphan?: boolean;
}
export interface Response$ApplicationService_DeleteResource$Status$200 {
    "application/json": Schemas.applicationApplicationResponse;
}
export interface Response$ApplicationService_DeleteResource$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_ListResourceActions {
    name: string;
    namespace?: string;
    resourceName?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export interface Response$ApplicationService_ListResourceActions$Status$200 {
    "application/json": Schemas.applicationResourceActionsListResponse;
}
export interface Response$ApplicationService_ListResourceActions$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_RunResourceAction {
    name: string;
    namespace?: string;
    resourceName?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export declare type RequestBody$ApplicationService_RunResourceAction = RequestBodies.ApplicationService_PatchResourceBody.Content;
export interface Response$ApplicationService_RunResourceAction$Status$200 {
    "application/json": Schemas.applicationApplicationResponse;
}
export interface Response$ApplicationService_RunResourceAction$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_RevisionMetadata {
    /** the application's name */
    name: string;
    /** the revision of the app */
    revision: string;
}
export interface Response$ApplicationService_RevisionMetadata$Status$200 {
    "application/json": Schemas.v1alpha1RevisionMetadata;
}
export interface Response$ApplicationService_RevisionMetadata$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Rollback {
    name: string;
}
export interface RequestBody$ApplicationService_Rollback {
    "application/json": Schemas.applicationApplicationRollbackRequest;
}
export interface Response$ApplicationService_Rollback$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Rollback$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_UpdateSpec {
    name: string;
    validate?: boolean;
}
export interface RequestBody$ApplicationService_UpdateSpec {
    "application/json": Schemas.v1alpha1ApplicationSpec;
}
export interface Response$ApplicationService_UpdateSpec$Status$200 {
    "application/json": Schemas.v1alpha1ApplicationSpec;
}
export interface Response$ApplicationService_UpdateSpec$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Sync {
    name: string;
}
export interface RequestBody$ApplicationService_Sync {
    "application/json": Schemas.applicationApplicationSyncRequest;
}
export interface Response$ApplicationService_Sync$Status$200 {
    "application/json": Schemas.v1alpha1Application;
}
export interface Response$ApplicationService_Sync$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_GetApplicationSyncWindows {
    name: string;
}
export interface Response$ApplicationService_GetApplicationSyncWindows$Status$200 {
    "application/json": Schemas.applicationApplicationSyncWindowsResponse;
}
export interface Response$ApplicationService_GetApplicationSyncWindows$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$CertificateService_ListCertificates {
    /** A file-glob pattern (not regular expression) the host name has to match. */
    hostNamePattern?: string;
    /** The type of the certificate to match (ssh or https). */
    certType?: string;
    /** The sub type of the certificate to match (protocol dependent, usually only used for ssh certs). */
    certSubType?: string;
}
export interface Response$CertificateService_ListCertificates$Status$200 {
    "application/json": Schemas.v1alpha1RepositoryCertificateList;
}
export interface Response$CertificateService_ListCertificates$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$CertificateService_CreateCertificate {
    /** Whether to upsert already existing certificates. */
    upsert?: boolean;
}
export interface RequestBody$CertificateService_CreateCertificate {
    "application/json": Schemas.v1alpha1RepositoryCertificateList;
}
export interface Response$CertificateService_CreateCertificate$Status$200 {
    "application/json": Schemas.v1alpha1RepositoryCertificateList;
}
export interface Response$CertificateService_CreateCertificate$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$CertificateService_DeleteCertificate {
    /** A file-glob pattern (not regular expression) the host name has to match. */
    hostNamePattern?: string;
    /** The type of the certificate to match (ssh or https). */
    certType?: string;
    /** The sub type of the certificate to match (protocol dependent, usually only used for ssh certs). */
    certSubType?: string;
}
export interface Response$CertificateService_DeleteCertificate$Status$200 {
    "application/json": Schemas.v1alpha1RepositoryCertificateList;
}
export interface Response$CertificateService_DeleteCertificate$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_List {
    server?: string;
    name?: string;
    /** type is the type of the specified cluster identifier ( "server" - default, "name" ). */
    "id.type"?: string;
    /** value holds the cluster server URL or cluster name. */
    "id.value"?: string;
}
export interface Response$ClusterService_List$Status$200 {
    "application/json": Schemas.v1alpha1ClusterList;
}
export interface Response$ClusterService_List$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_Create {
    upsert?: boolean;
}
export declare type RequestBody$ClusterService_Create = RequestBodies.v1alpha1Cluster.Content;
export interface Response$ClusterService_Create$Status$200 {
    "application/json": Schemas.v1alpha1Cluster;
}
export interface Response$ClusterService_Create$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_Get {
    /** value holds the cluster server URL or cluster name */
    "id.value": string;
    server?: string;
    name?: string;
    /** type is the type of the specified cluster identifier ( "server" - default, "name" ). */
    "id.type"?: string;
}
export interface Response$ClusterService_Get$Status$200 {
    "application/json": Schemas.v1alpha1Cluster;
}
export interface Response$ClusterService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_Update {
    /** value holds the cluster server URL or cluster name */
    "id.value": string;
    updatedFields?: string[];
    /** type is the type of the specified cluster identifier ( "server" - default, "name" ). */
    "id.type"?: string;
}
export declare type RequestBody$ClusterService_Update = RequestBodies.v1alpha1Cluster.Content;
export interface Response$ClusterService_Update$Status$200 {
    "application/json": Schemas.v1alpha1Cluster;
}
export interface Response$ClusterService_Update$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_Delete {
    /** value holds the cluster server URL or cluster name */
    "id.value": string;
    server?: string;
    name?: string;
    /** type is the type of the specified cluster identifier ( "server" - default, "name" ). */
    "id.type"?: string;
}
export interface Response$ClusterService_Delete$Status$200 {
    "application/json": Schemas.clusterClusterResponse;
}
export interface Response$ClusterService_Delete$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_InvalidateCache {
    /** value holds the cluster server URL or cluster name */
    "id.value": string;
}
export interface Response$ClusterService_InvalidateCache$Status$200 {
    "application/json": Schemas.v1alpha1Cluster;
}
export interface Response$ClusterService_InvalidateCache$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ClusterService_RotateAuth {
    /** value holds the cluster server URL or cluster name */
    "id.value": string;
}
export interface Response$ClusterService_RotateAuth$Status$200 {
    "application/json": Schemas.clusterClusterResponse;
}
export interface Response$ClusterService_RotateAuth$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$GPGKeyService_List {
    /** The GPG key ID to query for. */
    keyID?: string;
}
export interface Response$GPGKeyService_List$Status$200 {
    "application/json": Schemas.v1alpha1GnuPGPublicKeyList;
}
export interface Response$GPGKeyService_List$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$GPGKeyService_Create {
    /** Whether to upsert already existing public keys. */
    upsert?: boolean;
}
export interface RequestBody$GPGKeyService_Create {
    "application/json": Schemas.v1alpha1GnuPGPublicKey;
}
export interface Response$GPGKeyService_Create$Status$200 {
    "application/json": Schemas.gpgkeyGnuPGPublicKeyCreateResponse;
}
export interface Response$GPGKeyService_Create$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$GPGKeyService_Delete {
    /** The GPG key ID to query for. */
    keyID?: string;
}
export interface Response$GPGKeyService_Delete$Status$200 {
    "application/json": Schemas.gpgkeyGnuPGPublicKeyResponse;
}
export interface Response$GPGKeyService_Delete$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$GPGKeyService_Get {
    /** The GPG key ID to query for */
    keyID: string;
}
export interface Response$GPGKeyService_Get$Status$200 {
    "application/json": Schemas.v1alpha1GnuPGPublicKey;
}
export interface Response$GPGKeyService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_List {
    name?: string;
}
export interface Response$ProjectService_List$Status$200 {
    "application/json": Schemas.v1alpha1AppProjectList;
}
export interface Response$ProjectService_List$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface RequestBody$ProjectService_Create {
    "application/json": Schemas.projectProjectCreateRequest;
}
export interface Response$ProjectService_Create$Status$200 {
    "application/json": Schemas.v1alpha1AppProject;
}
export interface Response$ProjectService_Create$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_Get {
    name: string;
}
export interface Response$ProjectService_Get$Status$200 {
    "application/json": Schemas.v1alpha1AppProject;
}
export interface Response$ProjectService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_Delete {
    name: string;
}
export interface Response$ProjectService_Delete$Status$200 {
    "application/json": Schemas.projectEmptyResponse;
}
export interface Response$ProjectService_Delete$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_GetDetailedProject {
    name: string;
}
export interface Response$ProjectService_GetDetailedProject$Status$200 {
    "application/json": Schemas.projectDetailedProjectsResponse;
}
export interface Response$ProjectService_GetDetailedProject$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_ListEvents {
    name: string;
}
export interface Response$ProjectService_ListEvents$Status$200 {
    "application/json": Schemas.v1EventList;
}
export interface Response$ProjectService_ListEvents$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_GetGlobalProjects {
    name: string;
}
export interface Response$ProjectService_GetGlobalProjects$Status$200 {
    "application/json": Schemas.projectGlobalProjectsResponse;
}
export interface Response$ProjectService_GetGlobalProjects$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_GetSyncWindowsState {
    name: string;
}
export interface Response$ProjectService_GetSyncWindowsState$Status$200 {
    "application/json": Schemas.projectSyncWindowsResponse;
}
export interface Response$ProjectService_GetSyncWindowsState$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_Update {
    /**
     * Name must be unique within a namespace. Is required when creating resources, although
     * some resources may allow a client to request the generation of an appropriate name
     * automatically. Name is primarily intended for creation idempotence and configuration
     * definition.
     * Cannot be updated.
     * More info: http://kubernetes.io/docs/user-guide/identifiers#names
     * +optional
     */
    "project.metadata.name": string;
}
export interface RequestBody$ProjectService_Update {
    "application/json": Schemas.projectProjectUpdateRequest;
}
export interface Response$ProjectService_Update$Status$200 {
    "application/json": Schemas.v1alpha1AppProject;
}
export interface Response$ProjectService_Update$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_CreateToken {
    project: string;
    role: string;
}
export interface RequestBody$ProjectService_CreateToken {
    "application/json": Schemas.projectProjectTokenCreateRequest;
}
export interface Response$ProjectService_CreateToken$Status$200 {
    "application/json": Schemas.projectProjectTokenResponse;
}
export interface Response$ProjectService_CreateToken$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ProjectService_DeleteToken {
    project: string;
    role: string;
    iat: string;
    id?: string;
}
export interface Response$ProjectService_DeleteToken$Status$200 {
    "application/json": Schemas.projectEmptyResponse;
}
export interface Response$ProjectService_DeleteToken$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepoCredsService_ListRepositoryCredentials {
    /** Repo URL for query. */
    url?: string;
}
export interface Response$RepoCredsService_ListRepositoryCredentials$Status$200 {
    "application/json": Schemas.v1alpha1RepoCredsList;
}
export interface Response$RepoCredsService_ListRepositoryCredentials$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepoCredsService_CreateRepositoryCredentials {
    /** Whether to create in upsert mode. */
    upsert?: boolean;
}
export interface RequestBody$RepoCredsService_CreateRepositoryCredentials {
    "application/json": Schemas.v1alpha1RepoCreds;
}
export interface Response$RepoCredsService_CreateRepositoryCredentials$Status$200 {
    "application/json": Schemas.v1alpha1RepoCreds;
}
export interface Response$RepoCredsService_CreateRepositoryCredentials$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepoCredsService_UpdateRepositoryCredentials {
    /** URL is the URL that this credentials matches to */
    "creds.url": string;
}
export interface RequestBody$RepoCredsService_UpdateRepositoryCredentials {
    "application/json": Schemas.v1alpha1RepoCreds;
}
export interface Response$RepoCredsService_UpdateRepositoryCredentials$Status$200 {
    "application/json": Schemas.v1alpha1RepoCreds;
}
export interface Response$RepoCredsService_UpdateRepositoryCredentials$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepoCredsService_DeleteRepositoryCredentials {
    url: string;
}
export interface Response$RepoCredsService_DeleteRepositoryCredentials$Status$200 {
    "application/json": Schemas.repocredsRepoCredsResponse;
}
export interface Response$RepoCredsService_DeleteRepositoryCredentials$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_ListRepositories {
    /** Repo URL for query. */
    repo?: string;
    /** Whether to force a cache refresh on repo's connection state. */
    forceRefresh?: boolean;
}
export interface Response$RepositoryService_ListRepositories$Status$200 {
    "application/json": Schemas.v1alpha1RepositoryList;
}
export interface Response$RepositoryService_ListRepositories$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_CreateRepository {
    /** Whether to create in upsert mode. */
    upsert?: boolean;
    /** Whether to operate on credential set instead of repository. */
    credsOnly?: boolean;
}
export interface RequestBody$RepositoryService_CreateRepository {
    "application/json": Schemas.v1alpha1Repository;
}
export interface Response$RepositoryService_CreateRepository$Status$200 {
    "application/json": Schemas.v1alpha1Repository;
}
export interface Response$RepositoryService_CreateRepository$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_UpdateRepository {
    /** Repo contains the URL to the remote repository */
    "repo.repo": string;
}
export interface RequestBody$RepositoryService_UpdateRepository {
    "application/json": Schemas.v1alpha1Repository;
}
export interface Response$RepositoryService_UpdateRepository$Status$200 {
    "application/json": Schemas.v1alpha1Repository;
}
export interface Response$RepositoryService_UpdateRepository$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_Get {
    /** Repo URL for query */
    repo: string;
    /** Whether to force a cache refresh on repo's connection state. */
    forceRefresh?: boolean;
}
export interface Response$RepositoryService_Get$Status$200 {
    "application/json": Schemas.v1alpha1Repository;
}
export interface Response$RepositoryService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_DeleteRepository {
    /** Repo URL for query */
    repo: string;
    /** Whether to force a cache refresh on repo's connection state. */
    forceRefresh?: boolean;
}
export interface Response$RepositoryService_DeleteRepository$Status$200 {
    "application/json": Schemas.repositoryRepoResponse;
}
export interface Response$RepositoryService_DeleteRepository$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_ListApps {
    repo: string;
    revision?: string;
    appName?: string;
    appProject?: string;
}
export interface Response$RepositoryService_ListApps$Status$200 {
    "application/json": Schemas.repositoryRepoAppsResponse;
}
export interface Response$RepositoryService_ListApps$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_GetHelmCharts {
    /** Repo URL for query */
    repo: string;
    /** Whether to force a cache refresh on repo's connection state. */
    forceRefresh?: boolean;
}
export interface Response$RepositoryService_GetHelmCharts$Status$200 {
    "application/json": Schemas.repositoryHelmChartsResponse;
}
export interface Response$RepositoryService_GetHelmCharts$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_ListRefs {
    /** Repo URL for query */
    repo: string;
    /** Whether to force a cache refresh on repo's connection state. */
    forceRefresh?: boolean;
}
export interface Response$RepositoryService_ListRefs$Status$200 {
    "application/json": Schemas.repositoryRefs;
}
export interface Response$RepositoryService_ListRefs$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_ValidateAccess {
    /** The URL to the repo */
    repo: string;
    /** Username for accessing repo. */
    username?: string;
    /** Password for accessing repo. */
    password?: string;
    /** Private key data for accessing SSH repository. */
    sshPrivateKey?: string;
    /** Whether to skip certificate or host key validation. */
    insecure?: boolean;
    /** TLS client cert data for accessing HTTPS repository. */
    tlsClientCertData?: string;
    /** TLS client cert key for accessing HTTPS repository. */
    tlsClientCertKey?: string;
    /** The type of the repo. */
    type?: string;
    /** The name of the repo. */
    name?: string;
    /** Whether helm-oci support should be enabled for this repo. */
    enableOci?: boolean;
    /** Github App Private Key PEM data. */
    githubAppPrivateKey?: string;
    /** Github App ID of the app used to access the repo. */
    githubAppID?: string;
    /** Github App Installation ID of the installed GitHub App. */
    githubAppInstallationID?: string;
    /** Github App Enterprise base url if empty will default to https://api.github.com. */
    githubAppEnterpriseBaseUrl?: string;
    /** HTTP/HTTPS proxy to access the repository. */
    proxy?: string;
    /** Reference between project and repository that allow you automatically to be added as item inside SourceRepos project entity. */
    project?: string;
}
export interface RequestBody$RepositoryService_ValidateAccess {
    "application/json": string;
}
export interface Response$RepositoryService_ValidateAccess$Status$200 {
    "application/json": Schemas.repositoryRepoResponse;
}
export interface Response$RepositoryService_ValidateAccess$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$RepositoryService_GetAppDetails {
    /** RepoURL is the URL to the repository (Git or Helm) that contains the application manifests */
    "source.repoURL": string;
}
export interface RequestBody$RepositoryService_GetAppDetails {
    "application/json": Schemas.repositoryRepoAppDetailsQuery;
}
export interface Response$RepositoryService_GetAppDetails$Status$200 {
    "application/json": Schemas.repositoryRepoAppDetailsResponse;
}
export interface Response$RepositoryService_GetAppDetails$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface RequestBody$SessionService_Create {
    "application/json": Schemas.sessionSessionCreateRequest;
}
export interface Response$SessionService_Create$Status$200 {
    "application/json": Schemas.sessionSessionResponse;
}
export interface Response$SessionService_Create$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Response$SessionService_Delete$Status$200 {
    "application/json": Schemas.sessionSessionResponse;
}
export interface Response$SessionService_Delete$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Response$SessionService_GetUserInfo$Status$200 {
    "application/json": Schemas.sessionGetUserInfoResponse;
}
export interface Response$SessionService_GetUserInfo$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Response$SettingsService_Get$Status$200 {
    "application/json": Schemas.clusterSettings;
}
export interface Response$SettingsService_Get$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_Watch {
    /** the application's name. */
    name?: string;
    /** forces application reconciliation if set to true. */
    refresh?: string;
    /** the project names to restrict returned list applications. */
    project?: string[];
    /** when specified with a watch call, shows changes that occur after that particular version of a resource. */
    resourceVersion?: string;
    /** the selector to restrict returned list to applications only with matched labels. */
    selector?: string;
    /** the repoURL to restrict returned list applications. */
    repo?: string;
}
export interface Response$ApplicationService_Watch$Status$200 {
    "application/json": {
        error?: Schemas.runtimeStreamError;
        result?: Schemas.v1alpha1ApplicationWatchEvent;
    };
}
export interface Response$ApplicationService_Watch$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Parameter$ApplicationService_WatchResourceTree {
    applicationName: string;
    namespace?: string;
    name?: string;
    version?: string;
    group?: string;
    kind?: string;
}
export interface Response$ApplicationService_WatchResourceTree$Status$200 {
    "application/json": {
        error?: Schemas.runtimeStreamError;
        result?: Schemas.v1alpha1ApplicationTree;
    };
}
export interface Response$ApplicationService_WatchResourceTree$Status$default {
    "application/json": Schemas.runtimeError;
}
export interface Response$VersionService_Version$Status$200 {
    "application/json": Schemas.versionVersionMessage;
}
export interface Response$VersionService_Version$Status$default {
    "application/json": Schemas.runtimeError;
}
export declare type ResponseContentType$AccountService_ListAccounts = keyof Response$AccountService_ListAccounts$Status$200;
export declare type ResponseContentType$AccountService_CanI = keyof Response$AccountService_CanI$Status$200;
export interface Params$AccountService_CanI {
    parameter: Parameter$AccountService_CanI;
}
export declare type RequestContentType$AccountService_UpdatePassword = keyof RequestBody$AccountService_UpdatePassword;
export declare type ResponseContentType$AccountService_UpdatePassword = keyof Response$AccountService_UpdatePassword$Status$200;
export interface Params$AccountService_UpdatePassword {
    requestBody: RequestBody$AccountService_UpdatePassword["application/json"];
}
export declare type ResponseContentType$AccountService_GetAccount = keyof Response$AccountService_GetAccount$Status$200;
export interface Params$AccountService_GetAccount {
    parameter: Parameter$AccountService_GetAccount;
}
export declare type RequestContentType$AccountService_CreateToken = keyof RequestBody$AccountService_CreateToken;
export declare type ResponseContentType$AccountService_CreateToken = keyof Response$AccountService_CreateToken$Status$200;
export interface Params$AccountService_CreateToken {
    parameter: Parameter$AccountService_CreateToken;
    requestBody: RequestBody$AccountService_CreateToken["application/json"];
}
export declare type ResponseContentType$AccountService_DeleteToken = keyof Response$AccountService_DeleteToken$Status$200;
export interface Params$AccountService_DeleteToken {
    parameter: Parameter$AccountService_DeleteToken;
}
export declare type ResponseContentType$ApplicationService_List = keyof Response$ApplicationService_List$Status$200;
export interface Params$ApplicationService_List {
    parameter: Parameter$ApplicationService_List;
}
export declare type RequestContentType$ApplicationService_Create = keyof RequestBody$ApplicationService_Create;
export declare type ResponseContentType$ApplicationService_Create = keyof Response$ApplicationService_Create$Status$200;
export interface Params$ApplicationService_Create {
    parameter: Parameter$ApplicationService_Create;
    requestBody: RequestBody$ApplicationService_Create["application/json"];
}
export declare type RequestContentType$ApplicationService_Update = keyof RequestBody$ApplicationService_Update;
export declare type ResponseContentType$ApplicationService_Update = keyof Response$ApplicationService_Update$Status$200;
export interface Params$ApplicationService_Update {
    parameter: Parameter$ApplicationService_Update;
    requestBody: RequestBody$ApplicationService_Update["application/json"];
}
export declare type ResponseContentType$ApplicationService_ManagedResources = keyof Response$ApplicationService_ManagedResources$Status$200;
export interface Params$ApplicationService_ManagedResources {
    parameter: Parameter$ApplicationService_ManagedResources;
}
export declare type ResponseContentType$ApplicationService_ResourceTree = keyof Response$ApplicationService_ResourceTree$Status$200;
export interface Params$ApplicationService_ResourceTree {
    parameter: Parameter$ApplicationService_ResourceTree;
}
export declare type ResponseContentType$ApplicationService_Get = keyof Response$ApplicationService_Get$Status$200;
export interface Params$ApplicationService_Get {
    parameter: Parameter$ApplicationService_Get;
}
export declare type ResponseContentType$ApplicationService_Delete = keyof Response$ApplicationService_Delete$Status$200;
export interface Params$ApplicationService_Delete {
    parameter: Parameter$ApplicationService_Delete;
}
export declare type RequestContentType$ApplicationService_Patch = keyof RequestBody$ApplicationService_Patch;
export declare type ResponseContentType$ApplicationService_Patch = keyof Response$ApplicationService_Patch$Status$200;
export interface Params$ApplicationService_Patch {
    parameter: Parameter$ApplicationService_Patch;
    requestBody: RequestBody$ApplicationService_Patch["application/json"];
}
export declare type ResponseContentType$ApplicationService_ListResourceEvents = keyof Response$ApplicationService_ListResourceEvents$Status$200;
export interface Params$ApplicationService_ListResourceEvents {
    parameter: Parameter$ApplicationService_ListResourceEvents;
}
export declare type ResponseContentType$ApplicationService_PodLogs2 = keyof Response$ApplicationService_PodLogs2$Status$200;
export interface Params$ApplicationService_PodLogs2 {
    parameter: Parameter$ApplicationService_PodLogs2;
}
export declare type ResponseContentType$ApplicationService_GetManifests = keyof Response$ApplicationService_GetManifests$Status$200;
export interface Params$ApplicationService_GetManifests {
    parameter: Parameter$ApplicationService_GetManifests;
}
export declare type ResponseContentType$ApplicationService_TerminateOperation = keyof Response$ApplicationService_TerminateOperation$Status$200;
export interface Params$ApplicationService_TerminateOperation {
    parameter: Parameter$ApplicationService_TerminateOperation;
}
export declare type ResponseContentType$ApplicationService_PodLogs = keyof Response$ApplicationService_PodLogs$Status$200;
export interface Params$ApplicationService_PodLogs {
    parameter: Parameter$ApplicationService_PodLogs;
}
export declare type ResponseContentType$ApplicationService_GetResource = keyof Response$ApplicationService_GetResource$Status$200;
export interface Params$ApplicationService_GetResource {
    parameter: Parameter$ApplicationService_GetResource;
}
export declare type RequestContentType$ApplicationService_PatchResource = keyof RequestBody$ApplicationService_PatchResource;
export declare type ResponseContentType$ApplicationService_PatchResource = keyof Response$ApplicationService_PatchResource$Status$200;
export interface Params$ApplicationService_PatchResource {
    parameter: Parameter$ApplicationService_PatchResource;
    requestBody: RequestBody$ApplicationService_PatchResource["application/json"];
}
export declare type ResponseContentType$ApplicationService_DeleteResource = keyof Response$ApplicationService_DeleteResource$Status$200;
export interface Params$ApplicationService_DeleteResource {
    parameter: Parameter$ApplicationService_DeleteResource;
}
export declare type ResponseContentType$ApplicationService_ListResourceActions = keyof Response$ApplicationService_ListResourceActions$Status$200;
export interface Params$ApplicationService_ListResourceActions {
    parameter: Parameter$ApplicationService_ListResourceActions;
}
export declare type RequestContentType$ApplicationService_RunResourceAction = keyof RequestBody$ApplicationService_RunResourceAction;
export declare type ResponseContentType$ApplicationService_RunResourceAction = keyof Response$ApplicationService_RunResourceAction$Status$200;
export interface Params$ApplicationService_RunResourceAction {
    parameter: Parameter$ApplicationService_RunResourceAction;
    requestBody: RequestBody$ApplicationService_RunResourceAction["application/json"];
}
export declare type ResponseContentType$ApplicationService_RevisionMetadata = keyof Response$ApplicationService_RevisionMetadata$Status$200;
export interface Params$ApplicationService_RevisionMetadata {
    parameter: Parameter$ApplicationService_RevisionMetadata;
}
export declare type RequestContentType$ApplicationService_Rollback = keyof RequestBody$ApplicationService_Rollback;
export declare type ResponseContentType$ApplicationService_Rollback = keyof Response$ApplicationService_Rollback$Status$200;
export interface Params$ApplicationService_Rollback {
    parameter: Parameter$ApplicationService_Rollback;
    requestBody: RequestBody$ApplicationService_Rollback["application/json"];
}
export declare type RequestContentType$ApplicationService_UpdateSpec = keyof RequestBody$ApplicationService_UpdateSpec;
export declare type ResponseContentType$ApplicationService_UpdateSpec = keyof Response$ApplicationService_UpdateSpec$Status$200;
export interface Params$ApplicationService_UpdateSpec {
    parameter: Parameter$ApplicationService_UpdateSpec;
    requestBody: RequestBody$ApplicationService_UpdateSpec["application/json"];
}
export declare type RequestContentType$ApplicationService_Sync = keyof RequestBody$ApplicationService_Sync;
export declare type ResponseContentType$ApplicationService_Sync = keyof Response$ApplicationService_Sync$Status$200;
export interface Params$ApplicationService_Sync {
    parameter: Parameter$ApplicationService_Sync;
    requestBody: RequestBody$ApplicationService_Sync["application/json"];
}
export declare type ResponseContentType$ApplicationService_GetApplicationSyncWindows = keyof Response$ApplicationService_GetApplicationSyncWindows$Status$200;
export interface Params$ApplicationService_GetApplicationSyncWindows {
    parameter: Parameter$ApplicationService_GetApplicationSyncWindows;
}
export declare type ResponseContentType$CertificateService_ListCertificates = keyof Response$CertificateService_ListCertificates$Status$200;
export interface Params$CertificateService_ListCertificates {
    parameter: Parameter$CertificateService_ListCertificates;
}
export declare type RequestContentType$CertificateService_CreateCertificate = keyof RequestBody$CertificateService_CreateCertificate;
export declare type ResponseContentType$CertificateService_CreateCertificate = keyof Response$CertificateService_CreateCertificate$Status$200;
export interface Params$CertificateService_CreateCertificate {
    parameter: Parameter$CertificateService_CreateCertificate;
    requestBody: RequestBody$CertificateService_CreateCertificate["application/json"];
}
export declare type ResponseContentType$CertificateService_DeleteCertificate = keyof Response$CertificateService_DeleteCertificate$Status$200;
export interface Params$CertificateService_DeleteCertificate {
    parameter: Parameter$CertificateService_DeleteCertificate;
}
export declare type ResponseContentType$ClusterService_List = keyof Response$ClusterService_List$Status$200;
export interface Params$ClusterService_List {
    parameter: Parameter$ClusterService_List;
}
export declare type RequestContentType$ClusterService_Create = keyof RequestBody$ClusterService_Create;
export declare type ResponseContentType$ClusterService_Create = keyof Response$ClusterService_Create$Status$200;
export interface Params$ClusterService_Create {
    parameter: Parameter$ClusterService_Create;
    requestBody: RequestBody$ClusterService_Create["application/json"];
}
export declare type ResponseContentType$ClusterService_Get = keyof Response$ClusterService_Get$Status$200;
export interface Params$ClusterService_Get {
    parameter: Parameter$ClusterService_Get;
}
export declare type RequestContentType$ClusterService_Update = keyof RequestBody$ClusterService_Update;
export declare type ResponseContentType$ClusterService_Update = keyof Response$ClusterService_Update$Status$200;
export interface Params$ClusterService_Update {
    parameter: Parameter$ClusterService_Update;
    requestBody: RequestBody$ClusterService_Update["application/json"];
}
export declare type ResponseContentType$ClusterService_Delete = keyof Response$ClusterService_Delete$Status$200;
export interface Params$ClusterService_Delete {
    parameter: Parameter$ClusterService_Delete;
}
export declare type ResponseContentType$ClusterService_InvalidateCache = keyof Response$ClusterService_InvalidateCache$Status$200;
export interface Params$ClusterService_InvalidateCache {
    parameter: Parameter$ClusterService_InvalidateCache;
}
export declare type ResponseContentType$ClusterService_RotateAuth = keyof Response$ClusterService_RotateAuth$Status$200;
export interface Params$ClusterService_RotateAuth {
    parameter: Parameter$ClusterService_RotateAuth;
}
export declare type ResponseContentType$GPGKeyService_List = keyof Response$GPGKeyService_List$Status$200;
export interface Params$GPGKeyService_List {
    parameter: Parameter$GPGKeyService_List;
}
export declare type RequestContentType$GPGKeyService_Create = keyof RequestBody$GPGKeyService_Create;
export declare type ResponseContentType$GPGKeyService_Create = keyof Response$GPGKeyService_Create$Status$200;
export interface Params$GPGKeyService_Create {
    parameter: Parameter$GPGKeyService_Create;
    requestBody: RequestBody$GPGKeyService_Create["application/json"];
}
export declare type ResponseContentType$GPGKeyService_Delete = keyof Response$GPGKeyService_Delete$Status$200;
export interface Params$GPGKeyService_Delete {
    parameter: Parameter$GPGKeyService_Delete;
}
export declare type ResponseContentType$GPGKeyService_Get = keyof Response$GPGKeyService_Get$Status$200;
export interface Params$GPGKeyService_Get {
    parameter: Parameter$GPGKeyService_Get;
}
export declare type ResponseContentType$ProjectService_List = keyof Response$ProjectService_List$Status$200;
export interface Params$ProjectService_List {
    parameter: Parameter$ProjectService_List;
}
export declare type RequestContentType$ProjectService_Create = keyof RequestBody$ProjectService_Create;
export declare type ResponseContentType$ProjectService_Create = keyof Response$ProjectService_Create$Status$200;
export interface Params$ProjectService_Create {
    requestBody: RequestBody$ProjectService_Create["application/json"];
}
export declare type ResponseContentType$ProjectService_Get = keyof Response$ProjectService_Get$Status$200;
export interface Params$ProjectService_Get {
    parameter: Parameter$ProjectService_Get;
}
export declare type ResponseContentType$ProjectService_Delete = keyof Response$ProjectService_Delete$Status$200;
export interface Params$ProjectService_Delete {
    parameter: Parameter$ProjectService_Delete;
}
export declare type ResponseContentType$ProjectService_GetDetailedProject = keyof Response$ProjectService_GetDetailedProject$Status$200;
export interface Params$ProjectService_GetDetailedProject {
    parameter: Parameter$ProjectService_GetDetailedProject;
}
export declare type ResponseContentType$ProjectService_ListEvents = keyof Response$ProjectService_ListEvents$Status$200;
export interface Params$ProjectService_ListEvents {
    parameter: Parameter$ProjectService_ListEvents;
}
export declare type ResponseContentType$ProjectService_GetGlobalProjects = keyof Response$ProjectService_GetGlobalProjects$Status$200;
export interface Params$ProjectService_GetGlobalProjects {
    parameter: Parameter$ProjectService_GetGlobalProjects;
}
export declare type ResponseContentType$ProjectService_GetSyncWindowsState = keyof Response$ProjectService_GetSyncWindowsState$Status$200;
export interface Params$ProjectService_GetSyncWindowsState {
    parameter: Parameter$ProjectService_GetSyncWindowsState;
}
export declare type RequestContentType$ProjectService_Update = keyof RequestBody$ProjectService_Update;
export declare type ResponseContentType$ProjectService_Update = keyof Response$ProjectService_Update$Status$200;
export interface Params$ProjectService_Update {
    parameter: Parameter$ProjectService_Update;
    requestBody: RequestBody$ProjectService_Update["application/json"];
}
export declare type RequestContentType$ProjectService_CreateToken = keyof RequestBody$ProjectService_CreateToken;
export declare type ResponseContentType$ProjectService_CreateToken = keyof Response$ProjectService_CreateToken$Status$200;
export interface Params$ProjectService_CreateToken {
    parameter: Parameter$ProjectService_CreateToken;
    requestBody: RequestBody$ProjectService_CreateToken["application/json"];
}
export declare type ResponseContentType$ProjectService_DeleteToken = keyof Response$ProjectService_DeleteToken$Status$200;
export interface Params$ProjectService_DeleteToken {
    parameter: Parameter$ProjectService_DeleteToken;
}
export declare type ResponseContentType$RepoCredsService_ListRepositoryCredentials = keyof Response$RepoCredsService_ListRepositoryCredentials$Status$200;
export interface Params$RepoCredsService_ListRepositoryCredentials {
    parameter: Parameter$RepoCredsService_ListRepositoryCredentials;
}
export declare type RequestContentType$RepoCredsService_CreateRepositoryCredentials = keyof RequestBody$RepoCredsService_CreateRepositoryCredentials;
export declare type ResponseContentType$RepoCredsService_CreateRepositoryCredentials = keyof Response$RepoCredsService_CreateRepositoryCredentials$Status$200;
export interface Params$RepoCredsService_CreateRepositoryCredentials {
    parameter: Parameter$RepoCredsService_CreateRepositoryCredentials;
    requestBody: RequestBody$RepoCredsService_CreateRepositoryCredentials["application/json"];
}
export declare type RequestContentType$RepoCredsService_UpdateRepositoryCredentials = keyof RequestBody$RepoCredsService_UpdateRepositoryCredentials;
export declare type ResponseContentType$RepoCredsService_UpdateRepositoryCredentials = keyof Response$RepoCredsService_UpdateRepositoryCredentials$Status$200;
export interface Params$RepoCredsService_UpdateRepositoryCredentials {
    parameter: Parameter$RepoCredsService_UpdateRepositoryCredentials;
    requestBody: RequestBody$RepoCredsService_UpdateRepositoryCredentials["application/json"];
}
export declare type ResponseContentType$RepoCredsService_DeleteRepositoryCredentials = keyof Response$RepoCredsService_DeleteRepositoryCredentials$Status$200;
export interface Params$RepoCredsService_DeleteRepositoryCredentials {
    parameter: Parameter$RepoCredsService_DeleteRepositoryCredentials;
}
export declare type ResponseContentType$RepositoryService_ListRepositories = keyof Response$RepositoryService_ListRepositories$Status$200;
export interface Params$RepositoryService_ListRepositories {
    parameter: Parameter$RepositoryService_ListRepositories;
}
export declare type RequestContentType$RepositoryService_CreateRepository = keyof RequestBody$RepositoryService_CreateRepository;
export declare type ResponseContentType$RepositoryService_CreateRepository = keyof Response$RepositoryService_CreateRepository$Status$200;
export interface Params$RepositoryService_CreateRepository {
    parameter: Parameter$RepositoryService_CreateRepository;
    requestBody: RequestBody$RepositoryService_CreateRepository["application/json"];
}
export declare type RequestContentType$RepositoryService_UpdateRepository = keyof RequestBody$RepositoryService_UpdateRepository;
export declare type ResponseContentType$RepositoryService_UpdateRepository = keyof Response$RepositoryService_UpdateRepository$Status$200;
export interface Params$RepositoryService_UpdateRepository {
    parameter: Parameter$RepositoryService_UpdateRepository;
    requestBody: RequestBody$RepositoryService_UpdateRepository["application/json"];
}
export declare type ResponseContentType$RepositoryService_Get = keyof Response$RepositoryService_Get$Status$200;
export interface Params$RepositoryService_Get {
    parameter: Parameter$RepositoryService_Get;
}
export declare type ResponseContentType$RepositoryService_DeleteRepository = keyof Response$RepositoryService_DeleteRepository$Status$200;
export interface Params$RepositoryService_DeleteRepository {
    parameter: Parameter$RepositoryService_DeleteRepository;
}
export declare type ResponseContentType$RepositoryService_ListApps = keyof Response$RepositoryService_ListApps$Status$200;
export interface Params$RepositoryService_ListApps {
    parameter: Parameter$RepositoryService_ListApps;
}
export declare type ResponseContentType$RepositoryService_GetHelmCharts = keyof Response$RepositoryService_GetHelmCharts$Status$200;
export interface Params$RepositoryService_GetHelmCharts {
    parameter: Parameter$RepositoryService_GetHelmCharts;
}
export declare type ResponseContentType$RepositoryService_ListRefs = keyof Response$RepositoryService_ListRefs$Status$200;
export interface Params$RepositoryService_ListRefs {
    parameter: Parameter$RepositoryService_ListRefs;
}
export declare type RequestContentType$RepositoryService_ValidateAccess = keyof RequestBody$RepositoryService_ValidateAccess;
export declare type ResponseContentType$RepositoryService_ValidateAccess = keyof Response$RepositoryService_ValidateAccess$Status$200;
export interface Params$RepositoryService_ValidateAccess {
    parameter: Parameter$RepositoryService_ValidateAccess;
    requestBody: RequestBody$RepositoryService_ValidateAccess["application/json"];
}
export declare type RequestContentType$RepositoryService_GetAppDetails = keyof RequestBody$RepositoryService_GetAppDetails;
export declare type ResponseContentType$RepositoryService_GetAppDetails = keyof Response$RepositoryService_GetAppDetails$Status$200;
export interface Params$RepositoryService_GetAppDetails {
    parameter: Parameter$RepositoryService_GetAppDetails;
    requestBody: RequestBody$RepositoryService_GetAppDetails["application/json"];
}
export declare type RequestContentType$SessionService_Create = keyof RequestBody$SessionService_Create;
export declare type ResponseContentType$SessionService_Create = keyof Response$SessionService_Create$Status$200;
export interface Params$SessionService_Create {
    requestBody: RequestBody$SessionService_Create["application/json"];
}
export declare type ResponseContentType$SessionService_Delete = keyof Response$SessionService_Delete$Status$200;
export declare type ResponseContentType$SessionService_GetUserInfo = keyof Response$SessionService_GetUserInfo$Status$200;
export declare type ResponseContentType$SettingsService_Get = keyof Response$SettingsService_Get$Status$200;
export declare type ResponseContentType$ApplicationService_Watch = keyof Response$ApplicationService_Watch$Status$200;
export interface Params$ApplicationService_Watch {
    parameter: Parameter$ApplicationService_Watch;
}
export declare type ResponseContentType$ApplicationService_WatchResourceTree = keyof Response$ApplicationService_WatchResourceTree$Status$200;
export interface Params$ApplicationService_WatchResourceTree {
    parameter: Parameter$ApplicationService_WatchResourceTree;
}
export declare type ResponseContentType$VersionService_Version = keyof Response$VersionService_Version$Status$200;
export declare type HttpMethod = "GET" | "PUT" | "POST" | "DELETE" | "OPTIONS" | "HEAD" | "PATCH" | "TRACE";
export interface ObjectLike {
    [key: string]: any;
}
export interface QueryParameter {
    value: any;
    style?: "form" | "spaceDelimited" | "pipeDelimited" | "deepObject";
    explode: boolean;
}
export interface QueryParameters {
    [key: string]: QueryParameter;
}
export declare type SuccessResponses = Response$AccountService_ListAccounts$Status$200 | Response$AccountService_CanI$Status$200 | Response$AccountService_UpdatePassword$Status$200 | Response$AccountService_GetAccount$Status$200 | Response$AccountService_CreateToken$Status$200 | Response$AccountService_DeleteToken$Status$200 | Response$ApplicationService_List$Status$200 | Response$ApplicationService_Create$Status$200 | Response$ApplicationService_Update$Status$200 | Response$ApplicationService_ManagedResources$Status$200 | Response$ApplicationService_ResourceTree$Status$200 | Response$ApplicationService_Get$Status$200 | Response$ApplicationService_Delete$Status$200 | Response$ApplicationService_Patch$Status$200 | Response$ApplicationService_ListResourceEvents$Status$200 | Response$ApplicationService_PodLogs2$Status$200 | Response$ApplicationService_GetManifests$Status$200 | Response$ApplicationService_TerminateOperation$Status$200 | Response$ApplicationService_PodLogs$Status$200 | Response$ApplicationService_GetResource$Status$200 | Response$ApplicationService_PatchResource$Status$200 | Response$ApplicationService_DeleteResource$Status$200 | Response$ApplicationService_ListResourceActions$Status$200 | Response$ApplicationService_RunResourceAction$Status$200 | Response$ApplicationService_RevisionMetadata$Status$200 | Response$ApplicationService_Rollback$Status$200 | Response$ApplicationService_UpdateSpec$Status$200 | Response$ApplicationService_Sync$Status$200 | Response$ApplicationService_GetApplicationSyncWindows$Status$200 | Response$CertificateService_ListCertificates$Status$200 | Response$CertificateService_CreateCertificate$Status$200 | Response$CertificateService_DeleteCertificate$Status$200 | Response$ClusterService_List$Status$200 | Response$ClusterService_Create$Status$200 | Response$ClusterService_Get$Status$200 | Response$ClusterService_Update$Status$200 | Response$ClusterService_Delete$Status$200 | Response$ClusterService_InvalidateCache$Status$200 | Response$ClusterService_RotateAuth$Status$200 | Response$GPGKeyService_List$Status$200 | Response$GPGKeyService_Create$Status$200 | Response$GPGKeyService_Delete$Status$200 | Response$GPGKeyService_Get$Status$200 | Response$ProjectService_List$Status$200 | Response$ProjectService_Create$Status$200 | Response$ProjectService_Get$Status$200 | Response$ProjectService_Delete$Status$200 | Response$ProjectService_GetDetailedProject$Status$200 | Response$ProjectService_ListEvents$Status$200 | Response$ProjectService_GetGlobalProjects$Status$200 | Response$ProjectService_GetSyncWindowsState$Status$200 | Response$ProjectService_Update$Status$200 | Response$ProjectService_CreateToken$Status$200 | Response$ProjectService_DeleteToken$Status$200 | Response$RepoCredsService_ListRepositoryCredentials$Status$200 | Response$RepoCredsService_CreateRepositoryCredentials$Status$200 | Response$RepoCredsService_UpdateRepositoryCredentials$Status$200 | Response$RepoCredsService_DeleteRepositoryCredentials$Status$200 | Response$RepositoryService_ListRepositories$Status$200 | Response$RepositoryService_CreateRepository$Status$200 | Response$RepositoryService_UpdateRepository$Status$200 | Response$RepositoryService_Get$Status$200 | Response$RepositoryService_DeleteRepository$Status$200 | Response$RepositoryService_ListApps$Status$200 | Response$RepositoryService_GetHelmCharts$Status$200 | Response$RepositoryService_ListRefs$Status$200 | Response$RepositoryService_ValidateAccess$Status$200 | Response$RepositoryService_GetAppDetails$Status$200 | Response$SessionService_Create$Status$200 | Response$SessionService_Delete$Status$200 | Response$SessionService_GetUserInfo$Status$200 | Response$SettingsService_Get$Status$200 | Response$ApplicationService_Watch$Status$200 | Response$ApplicationService_WatchResourceTree$Status$200 | Response$VersionService_Version$Status$200;
export declare namespace ErrorResponse {
    type AccountService_ListAccounts = void;
    type AccountService_CanI = void;
    type AccountService_UpdatePassword = void;
    type AccountService_GetAccount = void;
    type AccountService_CreateToken = void;
    type AccountService_DeleteToken = void;
    type ApplicationService_List = void;
    type ApplicationService_Create = void;
    type ApplicationService_Update = void;
    type ApplicationService_ManagedResources = void;
    type ApplicationService_ResourceTree = void;
    type ApplicationService_Get = void;
    type ApplicationService_Delete = void;
    type ApplicationService_Patch = void;
    type ApplicationService_ListResourceEvents = void;
    type ApplicationService_PodLogs2 = void;
    type ApplicationService_GetManifests = void;
    type ApplicationService_TerminateOperation = void;
    type ApplicationService_PodLogs = void;
    type ApplicationService_GetResource = void;
    type ApplicationService_PatchResource = void;
    type ApplicationService_DeleteResource = void;
    type ApplicationService_ListResourceActions = void;
    type ApplicationService_RunResourceAction = void;
    type ApplicationService_RevisionMetadata = void;
    type ApplicationService_Rollback = void;
    type ApplicationService_UpdateSpec = void;
    type ApplicationService_Sync = void;
    type ApplicationService_GetApplicationSyncWindows = void;
    type CertificateService_ListCertificates = void;
    type CertificateService_CreateCertificate = void;
    type CertificateService_DeleteCertificate = void;
    type ClusterService_List = void;
    type ClusterService_Create = void;
    type ClusterService_Get = void;
    type ClusterService_Update = void;
    type ClusterService_Delete = void;
    type ClusterService_InvalidateCache = void;
    type ClusterService_RotateAuth = void;
    type GPGKeyService_List = void;
    type GPGKeyService_Create = void;
    type GPGKeyService_Delete = void;
    type GPGKeyService_Get = void;
    type ProjectService_List = void;
    type ProjectService_Create = void;
    type ProjectService_Get = void;
    type ProjectService_Delete = void;
    type ProjectService_GetDetailedProject = void;
    type ProjectService_ListEvents = void;
    type ProjectService_GetGlobalProjects = void;
    type ProjectService_GetSyncWindowsState = void;
    type ProjectService_Update = void;
    type ProjectService_CreateToken = void;
    type ProjectService_DeleteToken = void;
    type RepoCredsService_ListRepositoryCredentials = void;
    type RepoCredsService_CreateRepositoryCredentials = void;
    type RepoCredsService_UpdateRepositoryCredentials = void;
    type RepoCredsService_DeleteRepositoryCredentials = void;
    type RepositoryService_ListRepositories = void;
    type RepositoryService_CreateRepository = void;
    type RepositoryService_UpdateRepository = void;
    type RepositoryService_Get = void;
    type RepositoryService_DeleteRepository = void;
    type RepositoryService_ListApps = void;
    type RepositoryService_GetHelmCharts = void;
    type RepositoryService_ListRefs = void;
    type RepositoryService_ValidateAccess = void;
    type RepositoryService_GetAppDetails = void;
    type SessionService_Create = void;
    type SessionService_Delete = void;
    type SessionService_GetUserInfo = void;
    type SettingsService_Get = void;
    type ApplicationService_Watch = void;
    type ApplicationService_WatchResourceTree = void;
    type VersionService_Version = void;
}
export interface ApiClient<RequestOption> {
    request: <T = SuccessResponses>(httpMethod: HttpMethod, url: string, headers: ObjectLike | any, requestBody: ObjectLike | any, queryParameters: QueryParameters | undefined, options?: RequestOption) => Promise<T>;
}
export declare class Client<RequestOption> {
    private apiClient;
    private baseUrl;
    constructor(apiClient: ApiClient<RequestOption>, baseUrl: string);
    /**
     * ListAccounts returns the list of accounts
     * operationId: AccountService_ListAccounts
     * Request URI: /api/v1/account
     */
    AccountService_ListAccounts(option?: RequestOption): Promise<Response$AccountService_ListAccounts$Status$200["application/json"]>;
    /**
     * CanI checks if the current account has permission to perform an action
     * operationId: AccountService_CanI
     * Request URI: /api/v1/account/can-i/{resource}/{action}/{subresource}
     */
    AccountService_CanI(params: Params$AccountService_CanI, option?: RequestOption): Promise<Response$AccountService_CanI$Status$200["application/json"]>;
    /**
     * UpdatePassword updates an account's password to a new value
     * operationId: AccountService_UpdatePassword
     * Request URI: /api/v1/account/password
     */
    AccountService_UpdatePassword(params: Params$AccountService_UpdatePassword, option?: RequestOption): Promise<Response$AccountService_UpdatePassword$Status$200["application/json"]>;
    /**
     * GetAccount returns an account
     * operationId: AccountService_GetAccount
     * Request URI: /api/v1/account/{name}
     */
    AccountService_GetAccount(params: Params$AccountService_GetAccount, option?: RequestOption): Promise<Response$AccountService_GetAccount$Status$200["application/json"]>;
    /**
     * CreateToken creates a token
     * operationId: AccountService_CreateToken
     * Request URI: /api/v1/account/{name}/token
     */
    AccountService_CreateToken(params: Params$AccountService_CreateToken, option?: RequestOption): Promise<Response$AccountService_CreateToken$Status$200["application/json"]>;
    /**
     * DeleteToken deletes a token
     * operationId: AccountService_DeleteToken
     * Request URI: /api/v1/account/{name}/token/{id}
     */
    AccountService_DeleteToken(params: Params$AccountService_DeleteToken, option?: RequestOption): Promise<Response$AccountService_DeleteToken$Status$200["application/json"]>;
    /**
     * List returns list of applications
     * operationId: ApplicationService_List
     * Request URI: /api/v1/applications
     */
    ApplicationService_List(params: Params$ApplicationService_List, option?: RequestOption): Promise<Response$ApplicationService_List$Status$200["application/json"]>;
    /**
     * Create creates an application
     * operationId: ApplicationService_Create
     * Request URI: /api/v1/applications
     */
    ApplicationService_Create(params: Params$ApplicationService_Create, option?: RequestOption): Promise<Response$ApplicationService_Create$Status$200["application/json"]>;
    /**
     * Update updates an application
     * operationId: ApplicationService_Update
     * Request URI: /api/v1/applications/{application.metadata.name}
     */
    ApplicationService_Update(params: Params$ApplicationService_Update, option?: RequestOption): Promise<Response$ApplicationService_Update$Status$200["application/json"]>;
    /**
     * ManagedResources returns list of managed resources
     * operationId: ApplicationService_ManagedResources
     * Request URI: /api/v1/applications/{applicationName}/managed-resources
     */
    ApplicationService_ManagedResources(params: Params$ApplicationService_ManagedResources, option?: RequestOption): Promise<Response$ApplicationService_ManagedResources$Status$200["application/json"]>;
    /**
     * ResourceTree returns resource tree
     * operationId: ApplicationService_ResourceTree
     * Request URI: /api/v1/applications/{applicationName}/resource-tree
     */
    ApplicationService_ResourceTree(params: Params$ApplicationService_ResourceTree, option?: RequestOption): Promise<Response$ApplicationService_ResourceTree$Status$200["application/json"]>;
    /**
     * Get returns an application by name
     * operationId: ApplicationService_Get
     * Request URI: /api/v1/applications/{name}
     */
    ApplicationService_Get(params: Params$ApplicationService_Get, option?: RequestOption): Promise<Response$ApplicationService_Get$Status$200["application/json"]>;
    /**
     * Delete deletes an application
     * operationId: ApplicationService_Delete
     * Request URI: /api/v1/applications/{name}
     */
    ApplicationService_Delete(params: Params$ApplicationService_Delete, option?: RequestOption): Promise<Response$ApplicationService_Delete$Status$200["application/json"]>;
    /**
     * Patch patch an application
     * operationId: ApplicationService_Patch
     * Request URI: /api/v1/applications/{name}
     */
    ApplicationService_Patch(params: Params$ApplicationService_Patch, option?: RequestOption): Promise<Response$ApplicationService_Patch$Status$200["application/json"]>;
    /**
     * ListResourceEvents returns a list of event resources
     * operationId: ApplicationService_ListResourceEvents
     * Request URI: /api/v1/applications/{name}/events
     */
    ApplicationService_ListResourceEvents(params: Params$ApplicationService_ListResourceEvents, option?: RequestOption): Promise<Response$ApplicationService_ListResourceEvents$Status$200["application/json"]>;
    /**
     * PodLogs returns stream of log entries for the specified pod. Pod
     * operationId: ApplicationService_PodLogs2
     * Request URI: /api/v1/applications/{name}/logs
     */
    ApplicationService_PodLogs2(params: Params$ApplicationService_PodLogs2, option?: RequestOption): Promise<Response$ApplicationService_PodLogs2$Status$200["application/json"]>;
    /**
     * GetManifests returns application manifests
     * operationId: ApplicationService_GetManifests
     * Request URI: /api/v1/applications/{name}/manifests
     */
    ApplicationService_GetManifests(params: Params$ApplicationService_GetManifests, option?: RequestOption): Promise<Response$ApplicationService_GetManifests$Status$200["application/json"]>;
    /**
     * TerminateOperation terminates the currently running operation
     * operationId: ApplicationService_TerminateOperation
     * Request URI: /api/v1/applications/{name}/operation
     */
    ApplicationService_TerminateOperation(params: Params$ApplicationService_TerminateOperation, option?: RequestOption): Promise<Response$ApplicationService_TerminateOperation$Status$200["application/json"]>;
    /**
     * PodLogs returns stream of log entries for the specified pod. Pod
     * operationId: ApplicationService_PodLogs
     * Request URI: /api/v1/applications/{name}/pods/{podName}/logs
     */
    ApplicationService_PodLogs(params: Params$ApplicationService_PodLogs, option?: RequestOption): Promise<Response$ApplicationService_PodLogs$Status$200["application/json"]>;
    /**
     * GetResource returns single application resource
     * operationId: ApplicationService_GetResource
     * Request URI: /api/v1/applications/{name}/resource
     */
    ApplicationService_GetResource(params: Params$ApplicationService_GetResource, option?: RequestOption): Promise<Response$ApplicationService_GetResource$Status$200["application/json"]>;
    /**
     * PatchResource patch single application resource
     * operationId: ApplicationService_PatchResource
     * Request URI: /api/v1/applications/{name}/resource
     */
    ApplicationService_PatchResource(params: Params$ApplicationService_PatchResource, option?: RequestOption): Promise<Response$ApplicationService_PatchResource$Status$200["application/json"]>;
    /**
     * DeleteResource deletes a single application resource
     * operationId: ApplicationService_DeleteResource
     * Request URI: /api/v1/applications/{name}/resource
     */
    ApplicationService_DeleteResource(params: Params$ApplicationService_DeleteResource, option?: RequestOption): Promise<Response$ApplicationService_DeleteResource$Status$200["application/json"]>;
    /**
     * ListResourceActions returns list of resource actions
     * operationId: ApplicationService_ListResourceActions
     * Request URI: /api/v1/applications/{name}/resource/actions
     */
    ApplicationService_ListResourceActions(params: Params$ApplicationService_ListResourceActions, option?: RequestOption): Promise<Response$ApplicationService_ListResourceActions$Status$200["application/json"]>;
    /**
     * RunResourceAction run resource action
     * operationId: ApplicationService_RunResourceAction
     * Request URI: /api/v1/applications/{name}/resource/actions
     */
    ApplicationService_RunResourceAction(params: Params$ApplicationService_RunResourceAction, option?: RequestOption): Promise<Response$ApplicationService_RunResourceAction$Status$200["application/json"]>;
    /**
     * Get the meta-data (author, date, tags, message) for a specific revision of the application
     * operationId: ApplicationService_RevisionMetadata
     * Request URI: /api/v1/applications/{name}/revisions/{revision}/metadata
     */
    ApplicationService_RevisionMetadata(params: Params$ApplicationService_RevisionMetadata, option?: RequestOption): Promise<Response$ApplicationService_RevisionMetadata$Status$200["application/json"]>;
    /**
     * Rollback syncs an application to its target state
     * operationId: ApplicationService_Rollback
     * Request URI: /api/v1/applications/{name}/rollback
     */
    ApplicationService_Rollback(params: Params$ApplicationService_Rollback, option?: RequestOption): Promise<Response$ApplicationService_Rollback$Status$200["application/json"]>;
    /**
     * UpdateSpec updates an application spec
     * operationId: ApplicationService_UpdateSpec
     * Request URI: /api/v1/applications/{name}/spec
     */
    ApplicationService_UpdateSpec(params: Params$ApplicationService_UpdateSpec, option?: RequestOption): Promise<Response$ApplicationService_UpdateSpec$Status$200["application/json"]>;
    /**
     * Sync syncs an application to its target state
     * operationId: ApplicationService_Sync
     * Request URI: /api/v1/applications/{name}/sync
     */
    ApplicationService_Sync(params: Params$ApplicationService_Sync, option?: RequestOption): Promise<Response$ApplicationService_Sync$Status$200["application/json"]>;
    /**
     * Get returns sync windows of the application
     * operationId: ApplicationService_GetApplicationSyncWindows
     * Request URI: /api/v1/applications/{name}/syncwindows
     */
    ApplicationService_GetApplicationSyncWindows(params: Params$ApplicationService_GetApplicationSyncWindows, option?: RequestOption): Promise<Response$ApplicationService_GetApplicationSyncWindows$Status$200["application/json"]>;
    /**
     * List all available repository certificates
     * operationId: CertificateService_ListCertificates
     * Request URI: /api/v1/certificates
     */
    CertificateService_ListCertificates(params: Params$CertificateService_ListCertificates, option?: RequestOption): Promise<Response$CertificateService_ListCertificates$Status$200["application/json"]>;
    /**
     * Creates repository certificates on the server
     * operationId: CertificateService_CreateCertificate
     * Request URI: /api/v1/certificates
     */
    CertificateService_CreateCertificate(params: Params$CertificateService_CreateCertificate, option?: RequestOption): Promise<Response$CertificateService_CreateCertificate$Status$200["application/json"]>;
    /**
     * Delete the certificates that match the RepositoryCertificateQuery
     * operationId: CertificateService_DeleteCertificate
     * Request URI: /api/v1/certificates
     */
    CertificateService_DeleteCertificate(params: Params$CertificateService_DeleteCertificate, option?: RequestOption): Promise<Response$CertificateService_DeleteCertificate$Status$200["application/json"]>;
    /**
     * List returns list of clusters
     * operationId: ClusterService_List
     * Request URI: /api/v1/clusters
     */
    ClusterService_List(params: Params$ClusterService_List, option?: RequestOption): Promise<Response$ClusterService_List$Status$200["application/json"]>;
    /**
     * Create creates a cluster
     * operationId: ClusterService_Create
     * Request URI: /api/v1/clusters
     */
    ClusterService_Create(params: Params$ClusterService_Create, option?: RequestOption): Promise<Response$ClusterService_Create$Status$200["application/json"]>;
    /**
     * Get returns a cluster by server address
     * operationId: ClusterService_Get
     * Request URI: /api/v1/clusters/{id.value}
     */
    ClusterService_Get(params: Params$ClusterService_Get, option?: RequestOption): Promise<Response$ClusterService_Get$Status$200["application/json"]>;
    /**
     * Update updates a cluster
     * operationId: ClusterService_Update
     * Request URI: /api/v1/clusters/{id.value}
     */
    ClusterService_Update(params: Params$ClusterService_Update, option?: RequestOption): Promise<Response$ClusterService_Update$Status$200["application/json"]>;
    /**
     * Delete deletes a cluster
     * operationId: ClusterService_Delete
     * Request URI: /api/v1/clusters/{id.value}
     */
    ClusterService_Delete(params: Params$ClusterService_Delete, option?: RequestOption): Promise<Response$ClusterService_Delete$Status$200["application/json"]>;
    /**
     * InvalidateCache invalidates cluster cache
     * operationId: ClusterService_InvalidateCache
     * Request URI: /api/v1/clusters/{id.value}/invalidate-cache
     */
    ClusterService_InvalidateCache(params: Params$ClusterService_InvalidateCache, option?: RequestOption): Promise<Response$ClusterService_InvalidateCache$Status$200["application/json"]>;
    /**
     * RotateAuth rotates the bearer token used for a cluster
     * operationId: ClusterService_RotateAuth
     * Request URI: /api/v1/clusters/{id.value}/rotate-auth
     */
    ClusterService_RotateAuth(params: Params$ClusterService_RotateAuth, option?: RequestOption): Promise<Response$ClusterService_RotateAuth$Status$200["application/json"]>;
    /**
     * List all available repository certificates
     * operationId: GPGKeyService_List
     * Request URI: /api/v1/gpgkeys
     */
    GPGKeyService_List(params: Params$GPGKeyService_List, option?: RequestOption): Promise<Response$GPGKeyService_List$Status$200["application/json"]>;
    /**
     * Create one or more GPG public keys in the server's configuration
     * operationId: GPGKeyService_Create
     * Request URI: /api/v1/gpgkeys
     */
    GPGKeyService_Create(params: Params$GPGKeyService_Create, option?: RequestOption): Promise<Response$GPGKeyService_Create$Status$200["application/json"]>;
    /**
     * Delete specified GPG public key from the server's configuration
     * operationId: GPGKeyService_Delete
     * Request URI: /api/v1/gpgkeys
     */
    GPGKeyService_Delete(params: Params$GPGKeyService_Delete, option?: RequestOption): Promise<Response$GPGKeyService_Delete$Status$200["application/json"]>;
    /**
     * Get information about specified GPG public key from the server
     * operationId: GPGKeyService_Get
     * Request URI: /api/v1/gpgkeys/{keyID}
     */
    GPGKeyService_Get(params: Params$GPGKeyService_Get, option?: RequestOption): Promise<Response$GPGKeyService_Get$Status$200["application/json"]>;
    /**
     * List returns list of projects
     * operationId: ProjectService_List
     * Request URI: /api/v1/projects
     */
    ProjectService_List(params: Params$ProjectService_List, option?: RequestOption): Promise<Response$ProjectService_List$Status$200["application/json"]>;
    /**
     * Create a new project
     * operationId: ProjectService_Create
     * Request URI: /api/v1/projects
     */
    ProjectService_Create(params: Params$ProjectService_Create, option?: RequestOption): Promise<Response$ProjectService_Create$Status$200["application/json"]>;
    /**
     * Get returns a project by name
     * operationId: ProjectService_Get
     * Request URI: /api/v1/projects/{name}
     */
    ProjectService_Get(params: Params$ProjectService_Get, option?: RequestOption): Promise<Response$ProjectService_Get$Status$200["application/json"]>;
    /**
     * Delete deletes a project
     * operationId: ProjectService_Delete
     * Request URI: /api/v1/projects/{name}
     */
    ProjectService_Delete(params: Params$ProjectService_Delete, option?: RequestOption): Promise<Response$ProjectService_Delete$Status$200["application/json"]>;
    /**
     * GetDetailedProject returns a project that include project, global project and scoped resources by name
     * operationId: ProjectService_GetDetailedProject
     * Request URI: /api/v1/projects/{name}/detailed
     */
    ProjectService_GetDetailedProject(params: Params$ProjectService_GetDetailedProject, option?: RequestOption): Promise<Response$ProjectService_GetDetailedProject$Status$200["application/json"]>;
    /**
     * ListEvents returns a list of project events
     * operationId: ProjectService_ListEvents
     * Request URI: /api/v1/projects/{name}/events
     */
    ProjectService_ListEvents(params: Params$ProjectService_ListEvents, option?: RequestOption): Promise<Response$ProjectService_ListEvents$Status$200["application/json"]>;
    /**
     * Get returns a virtual project by name
     * operationId: ProjectService_GetGlobalProjects
     * Request URI: /api/v1/projects/{name}/globalprojects
     */
    ProjectService_GetGlobalProjects(params: Params$ProjectService_GetGlobalProjects, option?: RequestOption): Promise<Response$ProjectService_GetGlobalProjects$Status$200["application/json"]>;
    /**
     * GetSchedulesState returns true if there are any active sync syncWindows
     * operationId: ProjectService_GetSyncWindowsState
     * Request URI: /api/v1/projects/{name}/syncwindows
     */
    ProjectService_GetSyncWindowsState(params: Params$ProjectService_GetSyncWindowsState, option?: RequestOption): Promise<Response$ProjectService_GetSyncWindowsState$Status$200["application/json"]>;
    /**
     * Update updates a project
     * operationId: ProjectService_Update
     * Request URI: /api/v1/projects/{project.metadata.name}
     */
    ProjectService_Update(params: Params$ProjectService_Update, option?: RequestOption): Promise<Response$ProjectService_Update$Status$200["application/json"]>;
    /**
     * Create a new project token
     * operationId: ProjectService_CreateToken
     * Request URI: /api/v1/projects/{project}/roles/{role}/token
     */
    ProjectService_CreateToken(params: Params$ProjectService_CreateToken, option?: RequestOption): Promise<Response$ProjectService_CreateToken$Status$200["application/json"]>;
    /**
     * Delete a new project token
     * operationId: ProjectService_DeleteToken
     * Request URI: /api/v1/projects/{project}/roles/{role}/token/{iat}
     */
    ProjectService_DeleteToken(params: Params$ProjectService_DeleteToken, option?: RequestOption): Promise<Response$ProjectService_DeleteToken$Status$200["application/json"]>;
    /**
     * ListRepositoryCredentials gets a list of all configured repository credential sets
     * operationId: RepoCredsService_ListRepositoryCredentials
     * Request URI: /api/v1/repocreds
     */
    RepoCredsService_ListRepositoryCredentials(params: Params$RepoCredsService_ListRepositoryCredentials, option?: RequestOption): Promise<Response$RepoCredsService_ListRepositoryCredentials$Status$200["application/json"]>;
    /**
     * CreateRepositoryCredentials creates a new repository credential set
     * operationId: RepoCredsService_CreateRepositoryCredentials
     * Request URI: /api/v1/repocreds
     */
    RepoCredsService_CreateRepositoryCredentials(params: Params$RepoCredsService_CreateRepositoryCredentials, option?: RequestOption): Promise<Response$RepoCredsService_CreateRepositoryCredentials$Status$200["application/json"]>;
    /**
     * UpdateRepositoryCredentials updates a repository credential set
     * operationId: RepoCredsService_UpdateRepositoryCredentials
     * Request URI: /api/v1/repocreds/{creds.url}
     */
    RepoCredsService_UpdateRepositoryCredentials(params: Params$RepoCredsService_UpdateRepositoryCredentials, option?: RequestOption): Promise<Response$RepoCredsService_UpdateRepositoryCredentials$Status$200["application/json"]>;
    /**
     * DeleteRepositoryCredentials deletes a repository credential set from the configuration
     * operationId: RepoCredsService_DeleteRepositoryCredentials
     * Request URI: /api/v1/repocreds/{url}
     */
    RepoCredsService_DeleteRepositoryCredentials(params: Params$RepoCredsService_DeleteRepositoryCredentials, option?: RequestOption): Promise<Response$RepoCredsService_DeleteRepositoryCredentials$Status$200["application/json"]>;
    /**
     * ListRepositories gets a list of all configured repositories
     * operationId: RepositoryService_ListRepositories
     * Request URI: /api/v1/repositories
     */
    RepositoryService_ListRepositories(params: Params$RepositoryService_ListRepositories, option?: RequestOption): Promise<Response$RepositoryService_ListRepositories$Status$200["application/json"]>;
    /**
     * CreateRepository creates a new repository configuration
     * operationId: RepositoryService_CreateRepository
     * Request URI: /api/v1/repositories
     */
    RepositoryService_CreateRepository(params: Params$RepositoryService_CreateRepository, option?: RequestOption): Promise<Response$RepositoryService_CreateRepository$Status$200["application/json"]>;
    /**
     * UpdateRepository updates a repository configuration
     * operationId: RepositoryService_UpdateRepository
     * Request URI: /api/v1/repositories/{repo.repo}
     */
    RepositoryService_UpdateRepository(params: Params$RepositoryService_UpdateRepository, option?: RequestOption): Promise<Response$RepositoryService_UpdateRepository$Status$200["application/json"]>;
    /**
     * Get returns a repository or its credentials
     * operationId: RepositoryService_Get
     * Request URI: /api/v1/repositories/{repo}
     */
    RepositoryService_Get(params: Params$RepositoryService_Get, option?: RequestOption): Promise<Response$RepositoryService_Get$Status$200["application/json"]>;
    /**
     * DeleteRepository deletes a repository from the configuration
     * operationId: RepositoryService_DeleteRepository
     * Request URI: /api/v1/repositories/{repo}
     */
    RepositoryService_DeleteRepository(params: Params$RepositoryService_DeleteRepository, option?: RequestOption): Promise<Response$RepositoryService_DeleteRepository$Status$200["application/json"]>;
    /**
     * ListApps returns list of apps in the repo
     * operationId: RepositoryService_ListApps
     * Request URI: /api/v1/repositories/{repo}/apps
     */
    RepositoryService_ListApps(params: Params$RepositoryService_ListApps, option?: RequestOption): Promise<Response$RepositoryService_ListApps$Status$200["application/json"]>;
    /**
     * GetHelmCharts returns list of helm charts in the specified repository
     * operationId: RepositoryService_GetHelmCharts
     * Request URI: /api/v1/repositories/{repo}/helmcharts
     */
    RepositoryService_GetHelmCharts(params: Params$RepositoryService_GetHelmCharts, option?: RequestOption): Promise<Response$RepositoryService_GetHelmCharts$Status$200["application/json"]>;
    /**
     * operationId: RepositoryService_ListRefs
     * Request URI: /api/v1/repositories/{repo}/refs
     */
    RepositoryService_ListRefs(params: Params$RepositoryService_ListRefs, option?: RequestOption): Promise<Response$RepositoryService_ListRefs$Status$200["application/json"]>;
    /**
     * ValidateAccess validates access to a repository with given parameters
     * operationId: RepositoryService_ValidateAccess
     * Request URI: /api/v1/repositories/{repo}/validate
     */
    RepositoryService_ValidateAccess(params: Params$RepositoryService_ValidateAccess, option?: RequestOption): Promise<Response$RepositoryService_ValidateAccess$Status$200["application/json"]>;
    /**
     * GetAppDetails returns application details by given path
     * operationId: RepositoryService_GetAppDetails
     * Request URI: /api/v1/repositories/{source.repoURL}/appdetails
     */
    RepositoryService_GetAppDetails(params: Params$RepositoryService_GetAppDetails, option?: RequestOption): Promise<Response$RepositoryService_GetAppDetails$Status$200["application/json"]>;
    /**
     * Create a new JWT for authentication and set a cookie if using HTTP
     * operationId: SessionService_Create
     * Request URI: /api/v1/session
     */
    SessionService_Create(params: Params$SessionService_Create, option?: RequestOption): Promise<Response$SessionService_Create$Status$200["application/json"]>;
    /**
     * Delete an existing JWT cookie if using HTTP
     * operationId: SessionService_Delete
     * Request URI: /api/v1/session
     */
    SessionService_Delete(option?: RequestOption): Promise<Response$SessionService_Delete$Status$200["application/json"]>;
    /**
     * Get the current user's info
     * operationId: SessionService_GetUserInfo
     * Request URI: /api/v1/session/userinfo
     */
    SessionService_GetUserInfo(option?: RequestOption): Promise<Response$SessionService_GetUserInfo$Status$200["application/json"]>;
    /**
     * Get returns Argo CD settings
     * operationId: SettingsService_Get
     * Request URI: /api/v1/settings
     */
    SettingsService_Get(option?: RequestOption): Promise<Response$SettingsService_Get$Status$200["application/json"]>;
    /**
     * Watch returns stream of application change events
     * operationId: ApplicationService_Watch
     * Request URI: /api/v1/stream/applications
     */
    ApplicationService_Watch(params: Params$ApplicationService_Watch, option?: RequestOption): Promise<Response$ApplicationService_Watch$Status$200["application/json"]>;
    /**
     * Watch returns stream of application resource tree
     * operationId: ApplicationService_WatchResourceTree
     * Request URI: /api/v1/stream/applications/{applicationName}/resource-tree
     */
    ApplicationService_WatchResourceTree(params: Params$ApplicationService_WatchResourceTree, option?: RequestOption): Promise<Response$ApplicationService_WatchResourceTree$Status$200["application/json"]>;
    /**
     * Version returns version information of the API server
     * operationId: VersionService_Version
     * Request URI: /api/version
     */
    VersionService_Version(option?: RequestOption): Promise<Response$VersionService_Version$Status$200["application/json"]>;
}
